commit 0cc9ccb9604bad884c97cf18e0fc3ffb1720ba26
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 13:26:22 2024 -0500

    copyright

commit 29a8c9f8e5b4c6e120145965409fdb1d0186c90b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 6 15:35:07 2024 +0000

    bumped changelog version

commit 011d9e88bee36c3eb109d128f88d81f8bf887caf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 6 10:34:18 2024 -0500

    fix systemcheck start from start menu

commit 66aea547ee6912bf937cec340f769994908cf18e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 6 10:29:29 2024 -0500

    comments

commit 86dfbbf55aa7a9e2ec092abca6688f7d51a5ea16
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 2 13:21:29 2024 +0000

    bumped changelog version

commit 625598784310f7af3c450ec8c6498fa19ef1342e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 2 07:13:45 2024 -0500

    comment

commit 1e778453870edaa5e07e36f0c298c7531949f7e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 27 14:47:47 2024 +0000

    bumped changelog version

commit bf1175b7d13a3a8d77f4b7eb5eace34750dbf2dd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 27 09:47:38 2024 -0500

    output

commit d17af05b2eb1b0c5fe7c302456baadddd77d22d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 27 09:46:04 2024 -0500

    update link

commit 535c6fdb77b5a4d1940758e81bcf89ac43ef32ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 27 09:45:12 2024 -0500

    output

commit e37d5b929963cd7adffef5a31eae9eff7a264869
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 27 09:43:20 2024 -0500

    nonfree -> non_freedom

commit 4955110dcda64e7e4d0819e0875a575ca0a1e689
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 27 09:39:19 2024 -0500

    ignore non-freedom firmware in check_nonfree (ISO)

commit f5214126ec94ea20ed179e893fc9aff39db6e760
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 25 21:08:05 2024 +0000

    bumped changelog version

commit 3d7f14eb8055ab4c070cc02f4dc6c67113249488
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 25 15:58:45 2024 -0500

    comment

commit 68adb5e4a9e41dcf2baaa8f84ee927f90d405324
Merge: 2f304ed 9f4296e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 25 15:35:49 2024 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/sudoers'

commit 9f4296e93e5d31778ddc8b0aef00e0697c7e5640
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Nov 21 20:12:48 2024 -0600

    Remove obsolete argument to apt-get-update-kill-helper, revise comments

commit 0a0248eaeab6691bb62625aeef35d26ac824afe5
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Nov 21 19:48:01 2024 -0600

    Only allow dmesg to be run without a password if run without arguments

commit 07b9148d447e41dc2c2d38fb5faae8d5fd68b7e2
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Nov 21 19:27:53 2024 -0600

    Remove duplicate sudoers config line

commit 2f304edde679e898292f574bc1ea86d0555a7d17
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 12 16:59:38 2024 +0000

    bumped changelog version

commit fa2727b81c0c0c58a1ed194803a798e06a352ae0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 12 11:59:28 2024 -0500

    apparmor

commit f547cfc7cd04fd5f1b094a09d03c0812e5bdd6c5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 12 16:52:16 2024 +0000

    bumped changelog version

commit a1914d1139cc4455d14da6276798ead003cb9b49
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 12 11:51:00 2024 -0500

    add apparmor `/usr/bin/safe-rm rix,` for msgcollector

commit 6b7e23311e56a066100272741b0423b1dc3339a2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 12 13:30:47 2024 +0000

    bumped changelog version

commit 1a6b8f66ab61681e07c4469ef3c072910850a3e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 12 07:33:51 2024 -0500

    apparmor

commit 25f32dd64847f60db4760665f72f943f404f2e25
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 12 06:46:21 2024 -0500

    msgcollector

commit 8fc285eb60e36c034e4a0702f9e3a5522c38c63b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 12 04:59:17 2024 +0000

    bumped changelog version

commit 57b1db1134d9ddc07bc49626b321a316b49e720f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 11 06:02:36 2024 -0400

    change icon

commit 0218c92f0ad4620ffd4c08b625c68a1f84928d4a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 4 13:39:30 2024 +0000

    bumped changelog version

commit 184d7e1de4cfb8ce605ac8fb00eafba4049ea25a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 4 07:55:53 2024 -0400

    no longer check if setup-dist was done
    
    since no longer required
    
    since auto connecting to public Tor network nowadays
    
    https://forums.whonix.org/t/connect-to-public-tor-network-by-default-avoid-anon-connection-wizard-acw-popup-at-first-boot/17848

commit 8164547ad2f5898319d6552621df8535d35fea9f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 2 21:23:34 2024 +0000

    bumped changelog version

commit fe6e44800e66a9ba6b2956392854a21821bf9194
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 2 17:12:45 2024 -0400

    move bind-dirs configuration from qubes-whonix package to individual packages

commit c6e948d76dfb24ef836972a0247402a1cdbab9a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 6 14:02:12 2024 +0000

    bumped changelog version

commit 8a6e278be92ee180ea83374a9ef5f48d3d00d5ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 6 07:05:09 2024 -0400

    systemcheck warning against GeoClue
    
    privacy concerns associated with GeoClue
    https://gitlab.freedesktop.org/geoclue/geoclue/-/issues/177
    https://github.com/Kicksecure/developer-meta-files/issues/3
    https://github.com/Whonix/anon-meta-packages/commit/d9c96fcda6e8dd8ed147d57c71843e003d898d47
    
    systemcheck_unwanted_package+=" geoclue-2.0 "

commit db9fd4e9ba20f54528b34a90f8a7906db0697352
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 6 07:03:12 2024 -0400

    comment

commit 316db08284fc4214c12a06a2595441e34e5c21a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 28 20:50:58 2024 +0000

    bumped changelog version

commit e5bacca29ded12883412c96929d9cc3dbe1f4a4d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 28 12:28:32 2024 -0400

    output

commit 1d2dab8df5fda7ce0be68c42078e04f120650123
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jun 2 12:04:44 2024 +0000

    bumped changelog version

commit 3612058d4f9d8617f45c5af4df4bfabd5ef3c3fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jun 2 08:02:58 2024 -0400

    Nowadays Qubes UpdatesProxy over qrexec only. Not over network.
    
    https://github.com/QubesOS/qubes-issues/issues/8398#issuecomment-2143573830

commit abbb5725a9c6c25509a62809e91dee03be3d9916
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 25 13:22:10 2024 +0000

    bumped changelog version

commit 5b8eabbdfc793ef9deea2a1a2966fb2e926fd99f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 25 08:28:54 2024 -0400

    Recommends: msgcollector-gui

commit 62bcf9643f24c59acec199eb320eeb08ec555352
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 7 08:03:04 2024 +0000

    bumped changelog version

commit e5183f7a9879f1e173b79a700dc6cb5c48b91558
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 7 03:09:15 2024 -0400

    check environment variable `KICKSECURE=1` is set
    (or `WHONIX=1` is set)

commit 791f636a9fa74b3d54a5c734ba413869b1acfb66
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 18 15:11:03 2024 +0000

    bumped changelog version

commit 5c6d545f8439647ce587a5c09e8c6fc927098140
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 18 10:59:23 2024 -0400

    disable hardened malloc check since deprecated in Kicksecure

commit a5874b120f7231d15cbb19397def7e11fe34d115
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 12:38:03 2024 +0000

    bumped changelog version

commit 750f2699e59b222cb418bc7fd90133f1aeee2716
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 07:32:44 2024 -0500

    usrmerge debhelper systemd Debian package maintainer scripts fix

commit ce38240c2bc3e10e3bbf10a3e9c07cdf2a1c257e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 26 11:59:18 2024 +0000

    bumped changelog version

commit aa95c59431aab9f1722d47835f1ebc7dc565c74e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 26 03:21:12 2024 -0500

    disable disclaimer

commit 1a413fca06520adcbc97853a6d79bad2a2f63fb3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 26 03:19:13 2024 -0500

    check_whonixsetup_done.bsh -> check_setup_dist_done.bsh

commit c5e316d21dd4c2b6a43bf6a3bb5e3f352641ddec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 12:46:24 2024 +0000

    bumped changelog version

commit d8effbfafd906de8ba0787d64e557fb32947708c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 07:16:35 2024 -0500

    usrmerge

commit 792ec7b30cb1380d0a7b3ee7d9fda43e7711fffd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 20:24:12 2023 +0000

    bumped changelog version

commit c523be2e61ec534b49e35b8464ec771bd41e2e13
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 13:41:29 2023 -0500

    change license to AGPL-3+
    
    https://forums.whonix.org/t/license-change-to-agplv3/17455

commit 59d4677fdd13401cae183e7c10732a62fb6ad440
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 18:18:21 2023 -0500

    bumped changelog version

commit 2c06a04cdf6a6ce5c4da0fb1adfeefa0b06d7b20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 18:17:40 2023 -0500

    apparmor
    
    https://github.com/Kicksecure/security-misc/pull/147#issuecomment-1793877727

commit 67a535481fe6fe694cf602d87abf78e638adfbe5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 12:54:27 2023 -0400

    bumped changelog version

commit d5f1e6a1d607d8c0cbc392fc8d7f5e95c5786173
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 12:54:03 2023 -0400

    apparmor

commit a231489706550e911466ffdaa1940d1527ef302f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 12:43:38 2023 -0400

    bumped changelog version

commit b62d7855d570147c3d66a1cd0e3ce61502410138
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 12:43:29 2023 -0400

    apparmor

commit 612da4f9636320783abf751747902704d6ae5d65
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 12:41:28 2023 -0400

    rm_conffile /etc/xdg/autostart/systemcheck-deprecation-notice.desktop

commit 3ddc23b17e37b5175ca21e50b0bb84607a47b4a2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 11:30:19 2023 -0400

    bumped changelog version

commit 3dfb5f043ba4a6a2c674d1dc22b887a734c9e63e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 11:24:53 2023 -0400

    apparmor

commit deb58ce83b649693cf30dde4c8a2aeda3f077a06
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 11:11:18 2023 -0400

    bumped changelog version

commit 2f065fb9302065a935c6e8f90029486abc803638
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 11:10:00 2023 -0400

    apparmor

commit 120addebd706d4db3867ad00ede420c168b91390
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 10:45:04 2023 -0400

    bumped changelog version

commit 91e0e7af1e9a34bcc3b0a17d36c66f9f7627688e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 10:44:50 2023 -0400

    fix

commit 3029dd2689fdee207a04ba858b263f476a7f6e0c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 01:39:04 2023 -0400

    bumped changelog version

commit 73988bfc5dfe0a44cbd22b283677a5f957a9317b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 01:38:36 2023 -0400

    apparmor

commit 5ec0180bdd0a76eb308425c18f141a33a8263220
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 11 05:46:22 2023 -0400

    bumped changelog version

commit 6c2562cb2cf258cd9dda102e17eb39ccea25bd7f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 11 05:39:42 2023 -0400

    fix killing apt-get background process when pressing ctrl +c (signal sigint)
    
    use `setsid` use `sudo` with `--`

commit 11ac6b8c3114f5365073c75a8ddffd3c1c8976bf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 11 03:33:39 2023 -0400

    wayland

commit 17c3edd951db5e7cf44ff65f767b33bed4e12a5d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 14:19:19 2023 -0400

    bumped changelog version

commit 4ba34d541a9847a6db8c2e9e35f0c0dd1c37fcfc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 14:16:52 2023 -0400

    wayland

commit a04d261958a57680695465796cec83e5f220913b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 13:53:27 2023 -0400

    cleanup

commit 65017425d98635d76c292e3495289158aefcfe9a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 13:32:43 2023 -0400

    output

commit 35109926b902bc5d973f1af7d5bf0c78043e83ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 13:31:14 2023 -0400

    wayland

commit df47a9c93793e734df02cb21f9d67e3ad14d12e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 10:18:49 2023 -0400

    bumped changelog version

commit 02749c57e19511a9a452bb1041ea0b0c44b3dfd4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 10:17:03 2023 -0400

    move deprecation-popup to legacy-dist

commit 17e52a6f201ad8ac51c391f23a544269c4f70641
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 00:35:12 2023 -0400

    bumped changelog version

commit 57309aa0417cc6c657b0689ab1860963f4caa5d9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 00:24:42 2023 -0400

    correct exit codes on signal

commit ab1e75b2b96a1de9a726e2f62b775b94154a3405
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 5 08:23:39 2023 -0400

    bumped changelog version

commit 8a5bf517391eff040fe005e1d6b4ab5f46890789
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 4 05:45:18 2023 -0400

    refactoring

commit b7e5a480bb5606b0effe24f8ddcbd39a6a3f7d7e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 4 05:36:19 2023 -0400

    add check to see if qubes-updates-proxy.service is running in sys-whonix

commit db026378ab1eb6a970d0294428cb3ed77412ce9e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 1 05:23:24 2023 -0400

    bumped changelog version

commit 3ec6ff7bb0cb7219055c57b0e25203ab75bfb061
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 1 05:23:14 2023 -0400

    fix

commit c8dfc10bab99a3258808c2d25570a23182d9e81e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 30 13:11:27 2023 -0400

    bumped changelog version

commit da3fba327b8b8f8bf38b59460bddb8752fbfe3e8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 30 06:15:02 2023 -0400

    update link

commit 17aae94a97b317c65f4ebe05912029ff33a02507
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 30 06:02:10 2023 -0400

    bumped changelog version

commit 7e02f1cf14ce2d8907fb100d5c18cadd57f870ac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 30 06:00:38 2023 -0400

    fix

commit 6c5ef03d5322d0dcd0cd00bcea7ea82c5ca9e43a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 30 05:55:02 2023 -0400

    use `tee` instead of bash redirection
    
    for better error handling

commit 7ee2a27b6584ab7a26b0e8fe52e7515393eaaf90
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 30 05:53:40 2023 -0400

    sanity test

commit 82372dcf97f8cc50365d4cb8ef0ddcfe765d760c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 30 05:52:44 2023 -0400

    cleanup

commit 8a7447638d5708f293ce6de3f1711a54e1475e54
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 17:00:45 2023 -0400

    bumped changelog version

commit 1c99d4f591368e1c7d9c6432ed9ad413e4c27c36
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 16:59:45 2023 -0400

    run `apparmor-info` with `--boot`
    
    to avoid showing already fixed apparmor issues from previous boots

commit e84618b6a4de6c05280d9fcf7e9751d351567b35
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 16:30:28 2023 -0400

    bumped changelog version

commit 310650450517da364d60bd99262d71b9fc14e83d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 16:30:20 2023 -0400

    fix

commit 4be1827ce8898f06d238e385129af5c29f92b70a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 16:26:19 2023 -0400

    /var/lib/canary permission check

commit d82cf03ed66220e40a2bdda24a805f7295b7d433
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 16:18:26 2023 -0400

    /var/lib/canary permission check

commit 2d22961b8afcafc3e9b9ed114e3a326f7c6ac5ad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 16:08:40 2023 -0400

    bumped changelog version

commit dfc1f5b195be2e21a000e0e6892c2e10d8ddfbf2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 16:02:12 2023 -0400

    tmpfiles.d improvement

commit 21f22ce3bf84e91a9280d62623899964000466fa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 14:57:43 2023 -0400

    tmpfiles syntax fix

commit f38cf43670e08a75bc93c039dd64adadc14e15eb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 6 14:48:42 2023 -0400

    bumped changelog version

commit 6ebfdfdc66f2970dcc401351fb36651a46c60b47
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 6 14:46:26 2023 -0400

    fix

commit a64bf7724887c900f925bda42d4ae75c7357e75f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 6 14:44:00 2023 -0400

    fix

commit a1b7e299b5bfd6057837edc5f82cdfbc0f4d5ddb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 6 13:13:03 2023 -0400

    bumped changelog version

commit 6a6da0a17eae3b932a9373d7abce242a3fabf610
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 6 12:58:58 2023 -0400

    output

commit b8e3ef0a7a806962912ee66b3e26551c547cfba4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 6 12:55:56 2023 -0400

    fix

commit 19b443d1f3f30b77d28151925e3c5c05ef5b255e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 6 12:51:50 2023 -0400

    improve Qubes UpdatesProxy checks

commit b4327e70cbd9282d6f3f2c1a6de0b6df03a59c2b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 6 12:49:34 2023 -0400

    improve Qubes UpdatesProxy checks

commit 838ba5ca11b788dc1d3e0daca1997f56c0ddf692
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 08:08:21 2023 -0400

    bumped changelog version

commit a940c2b58aadce756444f69de216d4bdc82c13d7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 27 16:32:23 2023 -0400

    output

commit 2b5943cf77ed2c833ec0dd6ff84ea681dc650f3f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 27 16:31:08 2023 -0400

    Qubes-Whonix: hint if "provides network" box might be unchecked

commit 22902a2f7a7b29fe6fcb944eda311ae05c316d32
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 27 16:28:19 2023 -0400

    output

commit 31aa6f7a22300d71794f7d633bbe1bf261f9db81
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 27 16:26:52 2023 -0400

    output

commit 042e0906be1ba72e29afe88bbb33bbe0d24c66b1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:49:37 2023 -0400

    bumped changelog version

commit 2fa7b1ad449c30203db81390d28f86016f08b77e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:19:38 2023 -0400

    Kicksecure

commit c68f8067b4343448e5e3fae17de591ec66ca585f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:11:13 2023 -0400

    Kicksecure

commit a623dfec46b74071a128d0c70769c38111de45de
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 14 07:16:59 2023 -0400

    bumped changelog version

commit 5cfdf5fd9453aae089afee3ccd8f297e88540b1a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 14 07:16:11 2023 -0400

    apparmor

commit aff1c69f83849656580e6b275f0eda9cc0e97f09
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 14 07:09:55 2023 -0400

    bumped changelog version

commit 2463a27f0b10e5ec105b98bbfa2617d8307e472f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 14 07:09:50 2023 -0400

    apparmor

commit cb173ec51a56c7939abe3341a81f5751973759bb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 7 20:09:47 2023 -0400

    bumped changelog version

commit 81ebbdb5e8c13501654431ac1620efd14d3559db
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 7 20:09:29 2023 -0400

    skip messages that include "faillog"

commit a250746ca760138b6aa42d632f1c28a81096e93c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 09:41:52 2023 +0000

    bumped changelog version

commit 22dd6dc8b28400959452e8c1e4df2e5da0ad8652
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 09:41:42 2023 +0000

    bookworm

commit 079256e95b6f0e537f866a76f7c99a489154825c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 12:58:11 2023 +0000

    bumped changelog version

commit 8c1d888c0fe8e7ba516ffe041023d872f8329095
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 12:58:01 2023 +0000

    fix

commit f935ffdc0280328874d2fba5ce3ec620d085145b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 12:56:11 2023 +0000

    bumped changelog version

commit 4d42468bc78e634722f784658e00f386efc1465b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 12:55:23 2023 +0000

    add firmware and microcode packages to list of expected nonfreeodm packages

commit 1d14c04f1378a7d45cc0df774031c5aaf0ae86e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:37:57 2023 +0000

    bumped changelog version

commit 0e76459bad99fcb56290024e6d12e5fcc9485bac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:31 2023 +0000

    bookworm

commit 49be355a74220e365f7311b9aac1ac009f29cde1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 08:30:12 2023 +0000

    apparmor

commit 8171a815b8cd8dcb7f186aaa916f0b9ddeecf334
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 17 13:54:53 2023 +0000

    bumped changelog version

commit 8cba406167b271ef3b5123f9459eb9f05d28c5eb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 17 13:53:54 2023 +0000

    bookworm aa-logprof

commit 31fa9f7e3d4e5c246b6a868eba4f6e26ca02dc65
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:32:58 2023 +0000

    bumped changelog version

commit 832164f5f471cd685befad57525f29f2cdc2eb25
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:28:05 2023 +0000

    aa-logprof

commit 76e48890e5626e402a38f7ba15a80614c711d96f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:09:56 2023 +0000

    bumped changelog version

commit 6c9e6e74c2e2e0ccab94bde866760d3fe3c5f850
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:06 2023 +0000

    readme

commit 5aa6da158bffd70c29935cc05496398daa05a9da
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 17:05:46 2023 +0000

    bumped changelog version

commit 0ab159d300307fbec700a1d9eae18f26eefb14fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:48 2023 +0000

    copyright

commit 39b96bf6ae33c0913fb771a947d06e72ab1d1ca3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 18:05:11 2023 +0000

    bumped changelog version

commit 18d5dc174a7783dc94c5d1244a33b461183034c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:33 2023 +0000

    Standards-Version: 4.6.1.0

commit 87a3376ecb35f2f336b7599eaacfa7f4c4761068
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:33:45 2023 +0000

    bumped changelog version

commit afbd5a93db904f23f54b80dbbf764fa9519c070b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:52:02 2023 +0000

    update copyright year

commit 59492cebcfabbd9c54942f018493107311dfe0f2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:48:04 2023 +0000

    abolish /rw/config parsing
    (Does not influence Qubes specific /rw/config parsing.)

commit 4204e11b4d38e680f26356aaf397b1651b55d329
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:28:49 2023 +0000

    comment

commit 47e6796f46d10438b5ab40f4f4d4a01db91e9275
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 9 05:35:21 2023 -0500

    bumped changelog version

commit c9f5925974e8a3ad7a80a24eb4d78687be11b253
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 9 05:29:15 2023 -0500

    fix

commit fe5474d30e18d85edd935630c440c8fe86752134
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 9 05:28:30 2023 -0500

    fix

commit 3817cb06612c86809ff261f3b79b4b3c049df077
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 9 05:22:31 2023 -0500

    apparmor

commit dedec5a7bc821d32a888b35c8f235c53f3c2cadb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 9 05:19:56 2023 -0500

    fix

commit b446a2d8145983fc961aaa45dbc07787d92ef857
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 9 05:19:25 2023 -0500

    fix

commit dfc1c4190887bd22e3183a6ce9ec36ba7fd4d1df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 9 05:14:21 2023 -0500

    show output of `sudo apparmor-info` when using `--verbose`

commit 95ca4faf7e54a31175f2d8b1ea0321a3959102a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 9 05:07:42 2023 -0500

    show seccomp issues when using --verbose

commit 162d2c86df5ec32b514639dcaa56649a892652d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 24 06:53:22 2022 -0500

    bumped changelog version

commit 5c581482ab30509e8126a0182d10eb5f1a07af43
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 24 06:53:02 2022 -0500

    systemcheck_tor_bootstrap_wait_max="300"

commit 98b82087724281f0695d997247098baaa8f7c89a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 24 06:34:30 2022 -0500

    bumped changelog version

commit c72f8bae082272fdd585cfaf245eb795cb6d86f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 24 06:33:45 2022 -0500

    apparmor

commit 0f618bcbc07992327a4f6c2d91f5721db2740e5b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 24 06:21:06 2022 -0500

    bumped changelog version

commit fe23665e7d047d4431f9d8ee5b762723d1ddd84d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 24 06:20:25 2022 -0500

    apparmor

commit 76720e379fc8c7f5f2e16ecc0d472b31279a393d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 30 06:26:26 2022 -0400

    bumped changelog version

commit 27c7162b9fc689aa8287e3db879fc5b1ae3e008d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 30 05:19:17 2022 -0400

    output

commit 4ba4362d9d0f5f736a6ceac9581e5505807f2450
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 12 07:52:49 2022 -0400

    bumped changelog version

commit 316ac82f3875542f7aa674120152e1db67b33370
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 5 12:07:37 2022 -0400

    https://forums.kicksecure.com/t/failure-update-system-addgroup-addgroup-with-two-arguments-is-an-unspecified-operation/88

commit d5f9cd1157e12281fbd2ac982c636e7899f6a0ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 08:21:17 2022 -0400

    bumped changelog version

commit 45106467fc0c369311dacd977d8763b96e036aea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 08:03:58 2022 -0400

    fix

commit 4d749eb4ed5cc6655ba2426367415b63cf06bd61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 07:58:05 2022 -0400

            /usr/libexec/helper-scripts/curl_exit_codes rix,

commit 3498d20f2d127092d920fdcb8a6ec377f7442cbc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 07:53:14 2022 -0400

    fix

commit f410cf85f036275f7831db3c7fe09d92daa5037e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 07:44:24 2022 -0400

    fix

commit 114fbb2747d4d10c7fc8d2fef28a4363dc1ba1e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 07:42:43 2022 -0400

    fix

commit 442cbf99214025b335e25b01f2b7a22999f497fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 07:41:34 2022 -0400

    fix

commit 30885b22bdc4e1bcc678c96b9b657c049266ccc9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 07:36:38 2022 -0400

    Tor connectivity test: add output of `onion-time-pre-script`

commit 972bca88d9d84f2c7442bf8df27bd6a538d5ebf7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 13 08:30:11 2022 -0400

    bumped changelog version

commit 5dc40ca5bcc762057138e3fe8e93da0d8cf404e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 13 08:25:32 2022 -0400

    AppArmor actually do not allow /usr/local/lib/python*/
    
    https://forums.whonix.org/t/sdwdate-suddenly-dies/14150

commit 710dcf6a9bdd0d69772604e6e3305a4abc1feaab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 13 08:24:27 2022 -0400

    refactoring

commit 3ab2ff055512533138c394737aeae6d455a118e8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 13 08:18:34 2022 -0400

    refactoring

commit 66cbb3412acaee6f1000a17eec2e2f8c2f0bf906
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 13 08:17:33 2022 -0400

    refactoring

commit 11c6faf53c7205f91f1c0c43bfb321fb79120480
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 13 08:11:42 2022 -0400

    refactoring

commit ced0b6a873660cf2bd9e9de6446532069561ddb6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 13 08:10:16 2022 -0400

    AppArmor: /usr/local/lib/python*/** mr,
    
    https://forums.whonix.org/t/sdwdate-suddenly-dies/14150/2

commit 6d5b8cda36c0ba02b68a84d9eb6d9732fa93aa1a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 11:28:35 2022 -0400

    bumped changelog version

commit bd4370d0a59939d4b32cf1abd3f4bb5aa9274c4d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 10:58:54 2022 -0400

    refactoring

commit 6455fb93a7e35498e8c510e0581252b1dffb8e4c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 10:55:46 2022 -0400

    report if /var/lib/systemcheck/.msgcollector/msgdispatcher-error.log exists

commit 2e9ac13722c679c5295e14c5e5f5435f4febcf49
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 10:41:51 2022 -0400

    report if /run/systemcheck/.msgcollector/msgdispatcher-error.log exists

commit 31b1452c50389dc4484617537d19cb3ca977cc20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 17:42:00 2022 -0400

    bumped changelog version

commit 71cf9b27f2cdca159247d252186df14156c75d64
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 15:55:50 2022 -0400

    output

commit 0b38efaf20da4b2d814675a2e7764be853cec506
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 15:11:23 2022 -0400

    output

commit 27f2ed288ad56e5ab19ee23d7d877f1be7253391
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 15:01:20 2022 -0400

    output

commit 4b08b5903e46f33e83d8fb515363e12042616dd9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 14:59:46 2022 -0400

    refactoring

commit 59aced5b21deb59c05047fb9c4df3156be1b2bf6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 14:55:23 2022 -0400

    rename

commit 8c3306ee99b8b700c89a86d8166a56e93f025ebd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 14:54:54 2022 -0400

    refactoring

commit b07d0c442191ae2edce47157ffffdd260907d9ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 14:54:30 2022 -0400

    output

commit 4b7cac9edcd75fa8ae75ea5a10dfcaa7b0bfb381
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 14:54:04 2022 -0400

    refactoring

commit 240a1aac06fed10dc2d055cfee7db480ff9bbec5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 14:50:45 2022 -0400

    output

commit 23d60ead8c229536abdab149a2e01c3b05394fa3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 14:48:54 2022 -0400

    improve Tor running check error message

commit 775150a4b82949a51e35422862f415ec116b7210
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 14:07:10 2022 -0400

    minor

commit 6d9ce8def63269ef4b6b7031ee2a17e649ad8140
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 7 14:06:48 2022 -0400

    output

commit 0a9f3aa49638b41edc45beaaa0dce7cb1ed2f8ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 8 11:05:29 2022 -0400

    bumped changelog version

commit 6e3bca659be7fcf627ddbe04ee946539e6d397b8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 8 09:04:16 2022 -0400

    remove unicode

commit ccefa210292e14e20a79678d9e6619c5f843eb6a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 1 15:36:03 2022 -0400

    add new test check_arg_max

commit 98c70f4fb8e3b44f3ef396024befda318fa5a254
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 1 11:38:33 2022 -0400

    improve message if Tor control connection failed
    
    Thanks to @nurmagoz for the bug report!
    
    https://forums.kicksecure.com/t/make-systemcheck-gui-give-better-message-when-no-tor-connection-detected/61

commit bcdc9eb126c3471dd11eee79be80afa155101ffa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:07:21 2022 -0400

    bumped changelog version

commit ca43e10e3428d0f5306967bdd2119ac7333f32e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:11 2022 -0400

    readme

commit c6dfabe674058c810cb23df7970b916f24aac9e3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:40 2022 -0400

    copyright

commit 9f443badc945674749058e17b533b6479d083a7f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 15 14:26:20 2022 -0400

    Hardened Malloc Original was renamed to Hardened Malloc Default

commit ea7a6d8cb80db32a4e43573871ac0e5ce7dc4c01
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 15 14:13:39 2022 -0400

    Hardened Malloc Original was renamed to Hardened Malloc Full

commit b862b4ed3ab1c5417b3b419daa6143c637e6fc66
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:17 2022 -0400

    readme

commit a6d5a6026ce9340786daaaf7e47ef28b4b397483
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 09:50:07 2022 -0400

    .

commit 2f3974269cc653eee42a58c54b5fcdb9a8caad3d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 09:17:00 2022 -0400

    rename

commit 6d61b2aba05e3109c336fc420470e0a67a40294a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 20 13:55:33 2022 -0500

    bumped changelog version

commit c21224b5aeff1f9cc4a95819bde4b4ef8fa86e9b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 17 08:47:50 2022 -0500

    fix check journal if journal is longer then operating system ARG_MAX limit

commit 76b9b4bc25af61a17c3b1cde5cc850460744db3a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 16 15:30:00 2022 -0500

    bumped changelog version

commit 0037eec13b288cf08543e10a57e098571ddfdb22
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 16 08:30:50 2022 -0500

    output

commit 3f2d5f8b4082e148c9d293c1f22bf7f50697655b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 16 08:30:24 2022 -0500

    Kicksecure

commit 57d14e7685e82a40e77a228be89dfd9a5199124a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 9 08:02:45 2022 -0500

    bumped changelog version

commit 9ba59c89e4f651463cb23007a7f921be419145c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 3 17:45:37 2022 -0500

    Kicksecure

commit eb4eec4ee04d0435a747bdb30d79364927e338af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 3 17:39:17 2022 -0500

    fix

commit c8b457a1fd3de9e1d34a6a3f859e501efbdbfe14
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 3 17:36:09 2022 -0500

    output

commit f04ecdcbae30e18535f76778dbbdd8bce21b8216
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 14:16:17 2022 -0500

    bumped changelog version

commit 4051ffb6afc07dddee329117e93e3656d971d6d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 14:15:10 2022 -0500

    fix, skip check_network_interfaces eth0 on Kicksecure

commit ce74dd0f4a17048fa555e784b2c1bf2b4bcd1713
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 8 05:45:01 2022 -0500

    bumped changelog version

commit 930f01dd1ef7fc614d6dc93352e3cba18dc0d253
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 8 03:01:41 2022 -0500

    output

commit 0039edf9dd0cd465c99b0758108e3d0b4ba22571
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 6 15:15:01 2022 -0500

    bumped changelog version

commit 9746b84ca207e71fc1e9e5b01b6b9727582b9bb0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 5 09:48:15 2022 -0500

    fix

commit 8a52c222df24d0ec2687614141fe4de9d92940a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 9 05:09:30 2021 -0500

    bumped changelog version

commit 7209a0d31a1c49589440fe129fffcffc2d0133ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 9 05:05:28 2021 -0500

    output

commit ff72e80bd86d62a884eb21c944d3d7e4e111375e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 9 03:40:31 2021 -0500

    bumped changelog version

commit f200d0fd05a097734f346e89a50fc1a4dab39574
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 4 16:00:57 2021 -0500

    use `curl` with `--cert-status`
    
    Thanks for @yodawins for the suggestion!
    
    https://forums.whonix.org/t/scurl-secure-curl-wrapper/7125/8

commit f98033c1891f844166ad4b955a4968df5ccd1fe6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:34 2021 -0500

    readme

commit f9bc928f4def3aff541cab0ce12762217da55014
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 22 16:32:25 2021 -0400

    bumped changelog version

commit 91da591287a553ee0f721300a6f24d713be36596
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 20 16:27:42 2021 -0400

    fix

commit 3c1da8722ad1751d78ec1fea0d66a5cd4019d1d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 20 16:25:54 2021 -0400

    fix

commit 3922a6071724c9bb86ec54cc87959ec6720ae2c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 20 16:25:02 2021 -0400

    fix

commit d6017b6909c47d24ef90f100bc3e0eaedebe9880
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 12:04:43 2021 -0400

    bumped changelog version

commit c11d1b0695d314cbfcd804133e763c5e56903a3c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 12:01:30 2021 -0400

    refactoring

commit d4010b83bfc43ddac0ea77572f799e1f71210ef8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 11:42:55 2021 -0400

    refactoring

commit 37fe83169103ac07066185fa33bcb717fd4b86a9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 11:42:00 2021 -0400

    fix

commit fa1d36b38db27ff388014ff92e653edae5f998cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 11:41:45 2021 -0400

    cleanup

commit 078eb326852c504640fc12c0dcff0fca35ee74ed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 11:33:42 2021 -0400

    move

commit 687ff917e9243a2cd17fd7f19526710379731569
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 11:32:40 2021 -0400

    fix

commit e3a5ee7d47f761b7c920e80ac0e15fd25cd24536
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 11:19:09 2021 -0400

    show deprecation notice during package upgrade

commit 9b80381bbf13fdd81947e7f804d3ed9d2814f8b9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 11:18:12 2021 -0400

    fix

commit 5f0c7deab97101c0217af07e4cf62cf2c45c8b06
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 11:17:24 2021 -0400

    add deprecation notice popup

commit c14a6cc2abf9d45eccdb468062e0305a530c8040
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 24 11:10:53 2021 -0400

    bumped changelog version

commit 11588672c702889d6efe99c2841cce17a3011b63
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 24 10:32:30 2021 -0400

    fix

commit b87cfb6aec7db17ff0c48c81b227222024d39c76
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 06:59:51 2021 -0400

    bumped changelog version

commit 1bac7e5bb02e4448a8b3b871ded41fc54c87fbd3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 06:59:43 2021 -0400

    apparmor

commit 9851f8e40ce75d15296afd289d6bada2c0250b92
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 06:46:14 2021 -0400

    bumped changelog version

commit ed6780e209c29308b80001283a20ce63be765034
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 06:45:15 2021 -0400

    apparmor

commit 334a4dfc1dd9374852cc17d11b812838773845db
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 06:43:43 2021 -0400

    apparmor

commit 1f012348b37d449d294edd48ef3340f6ee71a1b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 06:43:08 2021 -0400

    apparmor

commit 2f397725fe2fb6613b812e35abafac72edb7fd77
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 06:41:44 2021 -0400

    apparmor

commit 7fac5e04e3f9674f08c52ca4473b94d446a7e8fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 05:15:09 2021 -0400

    bumped changelog version

commit 9dd8f76c0a51a003f8fdb2b3b71eaca8926814a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 05:13:28 2021 -0400

    apparmor

commit 8a7c583abb317b0a7f20bf140203b5cbb3b1dd14
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 05:06:41 2021 -0400

    fix

commit b287f6931d5cd5eb714f9f9efb6fc941138ccc2c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 04:24:12 2021 -0400

    bumped changelog version

commit 5683cdffb40fd8eb621fb23dd53b5dcc5566d156
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 04:24:04 2021 -0400

    apparmor

commit 7b6227323aea0953e2777b24f5ad441a8a3bb116
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 04:09:02 2021 -0400

    bumped changelog version

commit 001fa395bf22f62a12296b719600b06fbf56c944
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 03:39:37 2021 -0400

    usr/libexec/systemcheck/canary-download.py -> usr/libexec/systemcheck/canary-download

commit 8e8b0854a37f19626e2f017457a67d4e8ce506e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 03:35:36 2021 -0400

    etc/apparmor.d/usr.lib.systemcheck.canary -> etc/apparmor.d/usr.libexec.systemcheck.canary

commit ceb9bff1065d07fd2973b1903c01ddef66ed0485
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 18 04:53:19 2021 -0400

    bumped changelog version

commit 50b3e9a52f947cefc0ef6546c9e81e7aa86b4b2e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 18 04:52:03 2021 -0400

    update path

commit 32c043d2ef9c932e00152ee91b3cb5ad30ba7ca9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 14 13:45:30 2021 -0400

    bumped changelog version

commit 017db87fdbd1d3dc3e2c438c58523d5595b30169
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 14 13:30:08 2021 -0400

    output

commit 84ad7ef7d3f14c29eb97219f1b485f9c6b9ca3cc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 12:00:02 2021 -0400

    bumped changelog version

commit 5ac0a09063e7a90d2e340f25b7e6bc854f376b1e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 18:06:43 2021 -0400

    update path APT `signed-by`
    
    https://forums.whonix.org/t/apt-repository-signing-keys-per-apt-sources-list-signed-by/12302

commit e189f883b840abd085cadb0f8946cd02e094d31c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:41 2021 -0400

    readme

commit f7d4da2b54acbaca4799c258102b7298c86e5b99
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 2 15:45:17 2021 -0400

    bumped changelog version

commit 75c2999748d4819ba170331e5d1bc60ad84ad045
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 2 15:35:01 2021 -0400

    output

commit 6ee76886c3db66ff96c3e0c42289144f8ba0342d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 2 15:33:49 2021 -0400

    fix

commit 4417b08c2dad2e3a30237fa9525fdc9e3f724bca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 2 15:32:57 2021 -0400

    refactoring

commit d4fc31ce6e548118dd524e3c7631a92d8f2a7567
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 2 15:31:24 2021 -0400

    refactoring

commit c81b158990fee2e5ab71f91004b3c33824eabba8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 1 11:28:55 2021 -0400

    bumped changelog version

commit 09129d482c339a21c1b5c55447d50906a0b64fd9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 1 11:27:07 2021 -0400

    run check_sudo earlier

commit 3d64a1e161d28adb8a9364e21a9bbba1f6017825
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:46:42 2021 -0400

    bumped changelog version

commit ad4f3e3356003d55ac15188ab2be7c34ffbde236
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:45:56 2021 -0400

    LANG=C

commit f5b8d05c1a873b451cd571d4a4f46bd014d6ce47
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:33:36 2021 -0400

    bumped changelog version

commit 7444a84f117d55d0c658094a3a1b680835dada40
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:33:29 2021 -0400

    fix

commit bd1abea93b982da8cc285945fba929fcac4ae5fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:24:01 2021 -0400

    LANG=C str_replace

commit 49e4c7e56d4e50131f6f4a125fb9438ad5406ebe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 17 13:02:44 2021 -0400

    bumped changelog version

commit 333176298a5aab6baa1cf01f3f1741e2a218b284
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 17 12:59:15 2021 -0400

    fix

commit 64b1e4414e793af6c981b982de451de9ef8de61f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 17 12:47:07 2021 -0400

    minor

commit 0736bf3e38ec1246970639e6f0c8c1b9e449eede
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 17 12:40:39 2021 -0400

    bumped changelog version

commit 83244c59499cd9e593bc4ee1849ec887e0d781fe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 17 12:20:19 2021 -0400

    apparmor bullseye

commit 18f17202ca1d99e477dfbcf722c7eb9900822517
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 17 12:14:17 2021 -0400

    fix

commit d8bc170188bcaf464257edf6c60571957470a2b2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 16 16:22:05 2021 -0400

    bumped changelog version

commit 0acf98f71b91bff962a8c6c30ade1d52015baee5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 16 16:06:07 2021 -0400

    @{PROC}/sys/kernel/osrelease r,

commit 38eba9a2e6d33a0d81b4165463e1ff7eaf849777
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 6 19:22:57 2021 -0400

    bumped changelog version

commit eff420499780659725687d0a789b1fac3febae76
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 6 19:22:46 2021 -0400

    bullseye

commit bc8860898965dd718bee65c356c25705a7d6614d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 6 17:25:42 2021 -0400

    bumped changelog version

commit 59bf6cc19c8dc2e5259e66c371ad9bf7356cc1db
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 6 17:25:31 2021 -0400

    update paths

commit 2309e4351e3c746bdb3509826e8cb78dd618da76
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 6 14:17:46 2021 -0400

    bumped changelog version

commit baaf53e1af856238e4a405bc8fdc51a32160ec73
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 6 13:47:25 2021 -0400

    bullseye

commit 4ad1ee30debbb052e9e55d5918c0060b016dc900
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 17:06:41 2021 -0400

    bumped changelog version

commit 9bfe17057b5d0d503086d581a88edde387b53a90
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 18:39:07 2021 -0400

    lintian

commit 79b46cafc5a9775a549535074e65270a3db73ee0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 07:44:05 2021 -0400

    update path

commit e114ab0d1be190be11b14b9639c6775e1851a71e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 07:01:59 2021 -0400

    move usr/lib/systemcheck to usr/libexec/systemcheck as per lintian FHS

commit de1633aeba7e1fb6064ff12f202a4040095a2b40
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:59:04 2021 -0400

    libexec lintian FHS

commit 2b4010ee5370b4a0ef0b11dcf350d647b33be443
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:42:12 2021 -0400

    move /usr/lib/msgcollector to /usr/libexec/msgcollector as per lintian FHS

commit c751d56d8c29a501847ccec6dee876c5d7f929f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:56:31 2021 -0400

    move /usr/lib/security-misc to /usr/libexec/security-misc as per lintian FHS

commit f178d1b1505765234ab791ca6a725455d3d22560
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:57 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit aaaa46d9c7f7bf2ea96c0c6b7534ca1333079da0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:20:17 2021 -0400

    replace no longer required `/usr/lib/security-misc/apt-get-wrapper` with `apt-get --error-on=any`

commit 4f9d46f11be92c8d1f961e975dbdf16577d696f8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:35 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit 09b92a4c1aa9aa282f7b647135ee26dcb6b2fddb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:44:03 2021 -0400

    man page

commit a666c6ee9ed615b999aad421a3c979d563c08683
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:27 2021 -0400

    bullseye

commit 2152df99679295bdd6eebe6eab8a2a20312cba75
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:43 2021 -0400

    readme

commit 4da0423cbbc01f025d0aacb70ca23f28bfbe398f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 5 17:49:02 2021 -0400

    bumped changelog version

commit 0b8d04579ee347ccbb0c632cfdf17524480f2269
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 5 17:47:05 2021 -0400

    minor

commit 38920e765c0fa9ce5c164bef4aadb38d60af02c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 07:37:54 2021 -0400

    bumped changelog version

commit 6cf82d6b8d3a0ee6d86f5540128b9b6dbb9a3fd6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 31 03:12:26 2021 -0400

    output

commit 5c4eaa861cae15eebc8880139221bbc29c333419
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 31 03:11:45 2021 -0400

    comment

commit 41fd10a4929448e820533910a3bdd5026199afe4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 31 03:09:36 2021 -0400

    improved text
    
    Thanks to @torjunkie!
    
    https://forums.whonix.org/t/one-time-popup-notification-of-whonix-15-deprecation-once-whonix-16-was-released/11720/3

commit f3f3f51d1fd14f2eaf04e71899c169a5f70476af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 14:24:55 2021 -0400

    bumped changelog version

commit a931e1a4e0e085ce3cd37828083bbfa07e74a903
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 06:25:03 2021 -0400

    output

commit a70e92f312dff56578283b79447a19a98b38a557
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 06:06:07 2021 -0400

    minor

commit a266da7e665e2486c6b57da93a63c53a4d7977e9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 06:05:44 2021 -0400

    fix

commit 7055915b3f9efd037e7958776087543dfeb2c191
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 06:04:13 2021 -0400

    comment

commit fa28f533b77b0232342dac81bd8b437cb01418ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 06:01:48 2021 -0400

    add check for deprecated derivative (Whonix or Kicksecure) versions
    
    https://forums.whonix.org/t/one-time-popup-notification-of-whonix-15-deprecation-once-whonix-16-was-released/11720

commit 453b47e0ff08457eeccc9cb51897b760787a923d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:51:15 2021 -0400

    refactoring

commit 4f84af958354831221909b2953056815bb9a8bed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:45:27 2021 -0400

    output

commit 331e2549aa115552086a25a4d47e7da9ef6f105e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:40:59 2021 -0400

    refactoring

commit 255ca24a7eb0d2ee43bf26e3c64bca4cffc4985a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:39:55 2021 -0400

    refactoring

commit 04c9483482d764083b5687e769ca4f8f7bcec532
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:39:08 2021 -0400

    Kicksecure

commit 4350efebeaf71ad437e2b920c3b927157033bd71
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:35:14 2021 -0400

    output

commit d035ce730a7655fbee12c713a2576b868bceba66
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:32:39 2021 -0400

    Kicksecure

commit b43c0634ecc1106499ff8168aabaa098bacfa9f2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:28:48 2021 -0400

    output

commit 407dacd582f8d574b5b38662e66c56bcbdecb95c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:25:25 2021 -0400

    Kicksecure

commit c022042d7e3af50dce16f9e990e20c243c82508f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:21:40 2021 -0400

    refactoring

commit 8dd0ec64e3cee0c32b105d344ae76c6b2e2316df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:20:34 2021 -0400

    Kicksecure

commit 00453e832fed1c376b24b161ef886dc2714ea6f8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:08:53 2021 -0400

    comment

commit efff2d88298cec37d333094797f842838c68c7cc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:07:25 2021 -0400

    output

commit f2b1ec08c1b8542a4e5512f9321a934b05c0d9fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:04:41 2021 -0400

    refactoring; output

commit db42d07e07be7c682145d10a556f0534f80e2a06
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 05:01:39 2021 -0400

    output; refactoring

commit cd37577958d954d5caf20791275617b4f6369a68
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 25 11:17:14 2021 -0400

    bumped changelog version

commit 2703fc9f692115c04d1525ad36c9ff22dde20b76
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 25 11:12:42 2021 -0400

    fix telling if Tor is disabled

commit a9fbdff61e65afe075f347eed8bad8b13add2823
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 24 04:47:02 2021 -0400

    bumped changelog version

commit 23e6e868ae756036d16c0cb514f9ecdccc95b7da
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 24 04:08:03 2021 -0400

    output

commit 9f661f5fcdfc5e318001a6ad086e8d33a43fcb00
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 24 04:04:48 2021 -0400

    Kicksecure

commit 7f006875d930004295a9d7eed1cfdb0522d27586
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 24 03:49:27 2021 -0400

    Added Package Manager Consistency Check.
    
    Report if output of command `dpkg --audit` is non-empty, which would indicate
    in most cases a previously interrupted upgrade.

commit a1be8de3360d0377073acc9298d68d79b70f5543
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 24 02:39:14 2021 -0400

    reorder tests

commit eab21ca91664a41821af234866b4c10b4656fea9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 24 02:03:16 2021 -0400

    bumped changelog version

commit 6a928ddd1345decc552db1391742d46ca54fe482
Author: Jeremy Rand <jeremyrand@airmail.cc>
Date:   Mon May 24 05:12:58 2021 +0000

    Fix AppArmor profile for ppc64le

commit dd18865756cafa866c96bb2e83fb663c0162026a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 5 11:59:29 2021 -0400

    bumped changelog version

commit 577da7d2e5aa122b2ac0fd87ade605c9747f181d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 5 09:34:14 2021 -0400

    Depends: replace bsdtar with libarchive-tools
    
    Thanks to @JeremyRand!
    
    https://github.com/Whonix/whonixcheck/pull/15

commit 92fb0f7919c038b711b71a605dc46a3748274187
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 13:59:26 2021 -0400

    bumped changelog version

commit bc1e0bc6e9102d1f4e823351275111adb072ecf5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 13:48:44 2021 -0400

    refactoring

commit 3251bbca71edccc0604b0fc41e43e883eb3b7028
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 13:45:56 2021 -0400

    canary

commit 5954b040390d2dfb7036fe0ef8143022f740d538
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 13:44:01 2021 -0400

    canary

commit c2689d86882794877c3ca13317a02feb2936b53a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 13:42:41 2021 -0400

    canary

commit 3d057b08a0c148365d3bcdbc3597acfc76c634cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 10:26:52 2021 -0400

    bumped changelog version

commit 68c0a80b71a6bf445ff64844dc418423f1f31136
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 10:08:39 2021 -0400

    output

commit 3546fefde9ca4bd6be5471f86ec5d2f90c873631
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 10:07:58 2021 -0400

    output

commit 5be49e31a9a0e4f5bd9d0fb78e9f66b1b26028da
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 09:11:13 2021 -0400

    bumped changelog version

commit edc523484e71918c27e6e349a517666da5f710bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:23 2021 -0400

    copyright

commit f30956fd907290a616640bc024b9aa466224a2ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:19:08 2021 -0400

    bumped changelog version

commit 53c765437b4d2b5c2809a30ddeed65bd822e34ed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:11:49 2021 -0400

    output

commit 1ad4628beda6b6d85ecbaad7c7e3e68cc7dcb95f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 13:41:08 2021 -0400

    bumped changelog version

commit 071fac4d40bdf0f9a6ff4badf23cb164d3942c85
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 13:36:43 2021 -0400

    add missing dependency curl

commit 03717d6fb716ac3e2618e3f42f014f8a09bf4ffa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 13:33:29 2021 -0400

    bumped changelog version

commit 331eaa3bf46e9944ddab41882ddf720d447edc6e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 13:33:07 2021 -0400

    apparmor

commit 16421d9fcf50a4272aa4e806b8ba3c2cafb0d493
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 13:03:42 2021 -0400

    disable check_man due to apparmor issues

commit c5763c4bc149557c949ab03cca9ad8eee5ad9dd3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:59:20 2021 -0400

    check if `man` is functional

commit b1e3aa044a41adea4e5eff1149e62f0a755b3e30
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:37:09 2021 -0400

    bumped changelog version

commit 0eb890bde64831176342cb22a60617923d47d377
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:22 2021 -0400

    copyright

commit aa7646dbb59402b8edb0e4462f70c379dc5ef751
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 08:33:37 2021 -0400

    bumped changelog version

commit 7cfdaef83bce60306c4419fc4dde0ce4fbb5994f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 08:32:26 2021 -0400

    apparmor

commit 2f855f4abc783ba78c26fe305989a9fe4ff17ccd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 07:25:59 2021 -0400

    bumped changelog version

commit 2dae4f0e6d42b2dc8a672d1c52f146083180596c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 07:25:30 2021 -0400

    systemcheck --test-connect

commit 816d01940e00b40b96359c11914ff14f835f47d4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 07:01:12 2021 -0400

    output

commit acd0dfbdb164175de351235192552fb69a2b7d3e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 06:58:37 2021 -0400

    implement `--test-connect`

commit b57b9c27954de9b7f0ed75e046f4739bf1af1410
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 06:48:03 2021 -0400

    bumped changelog version

commit e834669b4d4438d1cbcc7dd9dcedd1adade768af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 06:45:36 2021 -0400

    apparmor

commit d3c23d18ae0381a45f4bff5b1c214951b2cdf37b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 06:43:50 2021 -0400

    refactoring

commit 37afefa1035077f3584e1dd9a54339abed3248c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 06:38:55 2021 -0400

    apparmor
    
    AVC apparmor="DENIED" operation="open" profile="/usr/bin/whonixcheck" name="/sys/fs/cgroup/cpuset/cgroup.clone_children" comm="sudo" requested_mask="wc" denied_mask="wc"
    AVC apparmor="DENIED" operation="mkdir" profile="/usr/bin/whonixcheck" name="/sys/fs/cgroup/systemd/user/" comm="sudo" requested_mask="c" denied_mask="c"

commit e6aefb8f03a4ef2c0e24be4cd4bb3adf9ccc7386
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 13 16:46:44 2021 -0500

    bumped changelog version

commit 18ccd61ebd789413746dfc0fd4cdb6db0fb3b97e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 13 16:46:32 2021 -0500

    refactoring

commit b88b9124ea1010e933dbfc1b72d00e3347074172
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 13 16:45:26 2021 -0500

    fix

commit ff219882b7a2e57cee2dd215cd0337a3a1ef5615
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 13 04:04:51 2021 -0500

    bumped changelog version

commit bd9ef09f481022c5a09d4848eba38e2c129fd7a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 13 04:02:12 2021 -0500

    apparmor

commit 63efdb062f887991406b858b581315715cbedf63
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 13 04:01:12 2021 -0500

    improve hardened malloc test

commit 14d59d2591cfc11f9b85518376ec0580aeed5bd9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 13 03:15:49 2021 -0500

    check if hardened maloc is enabled when using --verbose

commit 343571553a254f80f491d2f8b5a2b7aaf568c4b7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 14:33:41 2021 -0500

    bumped changelog version

commit f0189f7a134c48d69724fa4c40a967f29c47c135
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:27:40 2021 -0500

    output

commit d64974b7a591fb46373a37a3e330228c60c6e7fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:27:09 2021 -0500

    output

commit ae3bd1a660d053d4414455ffd4a4a36e10226ff2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 9 13:53:36 2021 -0500

    bumped changelog version

commit d3fd889359b16d93112cc8f60ec459f1989ccca1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 9 13:12:49 2021 -0500

    skip canary check in live mode

commit 51fc4600ffa1a99b6f121f2f296127cf4b470f1a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 9 13:10:09 2021 -0500

    refactoring

commit ad2dc9f9c5c51fba703a0c38d5fe59c3ddecba20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 9 13:04:53 2021 -0500

    refactoring

commit 94541f31199d9aba3a68899e9b52f5239e8ce666
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 9 13:03:06 2021 -0500

    refactoring

commit b1bacd96bc5e8da2b3a8363f7d706be4f0153d49
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 8 11:39:39 2021 -0500

    skip canary download in live mode

commit 1ab1e2fe416a2b4c518c3d17da21761335f28bf3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 6 06:46:28 2021 -0500

    bumped changelog version

commit 3e489a362574777bd10036d90430b5f30874ba8e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 6 06:26:22 2021 -0500

    apparmor

commit 8c87f2efbeaab453d5458bb3fa707fb8a18043f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 6 06:26:00 2021 -0500

    refactoring

commit d0bc5c6a90d1b04d6bb81b8670853268305152bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 6 06:24:53 2021 -0500

    canary: also wait for sdwdate success

commit 45fdb7f68298483fcc711ac2d1b8b9344d577ea0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 6 06:22:13 2021 -0500

    refactoring

commit 5c3a721c543af15c19b998d942b097e3ee38d5d1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 6 04:08:34 2021 -0500

    canary

commit 8570c98028ceeeffd8783ec2df441f839610fd1e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 4 07:09:45 2021 -0500

    bumped changelog version

commit 20011bc8a375d0440d88fe57026c6652bc129c87
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 10:17:43 2021 -0500

    fix

commit 8fbce20769747a6028d170ef98684e941011ed69
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 10:03:50 2021 -0500

    fix

commit 02221f91c356a7b0aed4c6f74f206d847a4d1d17
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 10:01:46 2021 -0500

    cleanup

commit 3e162334a1dfb93cde486ad44f55e83de319adf6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 10:00:16 2021 -0500

    refactoring

commit 50010d82405b0349fac51efaa69b3a81b632c69d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 09:53:37 2021 -0500

    canary

commit a35c2e9f871d4f1b8dfe5f059eba499be99ed34c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 09:53:04 2021 -0500

    refactoring canary download disabling

commit 27ecb2faf3e25ff6dbcc06a952a34156d2995261
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 09:41:52 2021 -0500

    output

commit d0e02a54ee80680f09b732eae074b4df62e17efe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 09:40:44 2021 -0500

    canary

commit abb311081bb7e91a1231dcc97e632647fe233725
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 09:40:24 2021 -0500

    output

commit 3363a6223a7d081c454dd7bef340ad4e0bdf9396
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 09:39:05 2021 -0500

    local

commit 2005b3ee8c77497ba670042711af91630b26d79d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 09:37:39 2021 -0500

    refactoring

commit eec84985e627d6c942ac2c2f40e116675a192f6d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 09:35:18 2021 -0500

    output

commit 2c02e6af92c0ff29ee532fe036eb3bbd442866e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 09:34:09 2021 -0500

    output

commit 3e72bad26dd64a9d2bfadcb2d962c732e53b7f53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 09:32:33 2021 -0500

    comment

commit 99b77fc95c80f91c0a9ffb54d4aab0f707597468
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 09:31:31 2021 -0500

    canary

commit 0abdcf88e394fcd362b73c87279c869a18c4dd40
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 09:24:42 2021 -0500

    canary

commit 5beff8594f848ea37836449e0bc16ebe78c91ec8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 08:20:57 2021 -0500

    automated Whonix warrant canary check
    
    https://www.whonix.org/wiki/Whonixcheck#Warrant_Canary_Check

commit 53870fdfb221b12798c9e40ace01cc9a5e042c45
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 07:36:56 2021 -0500

    comment

commit ca8017f20576ce7f4aaa811f0da4e03461af7f71
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 05:05:39 2021 -0500

    port canary download from curl to python3-requests
    
    openbsd-signify verify canary unixtime

commit aab6f91eb8eb5fee60c2f80baafe273cf60b01f8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 28 08:33:01 2021 -0500

    word towards automated canary verification

commit 2b1b8b717b13eb885a2684894b1ecd367d24e0e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 25 18:00:58 2021 -0500

    bumped changelog version

commit 1fbcf28a433c28e2ff671fc781365eb4e7427d2e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 25 13:40:27 2021 -0500

    cleanup

commit 024b2d63d2933d45c33fd342d377b79967e94841
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 25 13:37:41 2021 -0500

    census -> canary

commit e1e5ba2f746e85f947f90d5b1214b2091dc245b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 25 13:37:07 2021 -0500

    census -> canary

commit b3f90fb68bb4799fd5909f3d8cf0b94ec5105479
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 25 13:33:20 2021 -0500

    census -> canary

commit 5f73b22ddb20e0c03f7c03bdfbe11e976f270886
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 7 14:53:06 2021 -0500

    bumped changelog version

commit 074c61e988da6ae57fcc86adb6259d083548ec66
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 7 14:51:47 2021 -0500

    fix

commit 5943ee9a0c525ab0fc4c728d558e8b0ce88367f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 7 06:35:30 2021 -0500

    bumped changelog version

commit e274861b01e5fa309015643d0da3e47c8eb5638f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 7 06:34:43 2021 -0500

    fix

commit 9f07755f01b16a44fd911cf38d9633acc2c612eb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 6 06:32:33 2021 -0500

    bumped changelog version

commit 44cf0de38749543ce625cbc24b7a65aaabd0d5b1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 6 06:32:32 2021 -0500

    readme

commit 40c17c4ce8b722070fbb6988a3bcd0a597602ab8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 6 06:24:34 2021 -0500

    update path

commit 9bf4a3dd6417ae2648bdff2b04b384a64d6fa395
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 6 03:48:53 2021 -0500

    bumped changelog version

commit 0e2235b17dba7fa7a1d2f290f6fb25f77618e908
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 5 03:14:48 2021 -0500

    output

commit e2bb49ea2e40b0d4b259457f30a4b01752a647ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 11:55:58 2021 -0500

    bumped changelog version

commit 2a6dd84a3225f7aa2ced2f07c84ac1d7912a6f80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 08:53:03 2021 -0500

    systemcheck_unwanted_package+=" python3-pip "
    
    https://forums.whonix.org/t/more-unwanted-packages/2155/20

commit 80d8f9244d0af51148591fa5d89447ffcce14b50
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 08:37:44 2021 -0500

    update path

commit 35d9f2f7ebd93b5e70041a5528edd0615309105a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 07:43:34 2021 -0500

    Kicksecure

commit 9dc2b7dc02f82c46444f22712bc71cfd7c6ed1a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 07:36:48 2021 -0500

    comment

commit 92ea89d90c9884a0bec63e8b31149ccd942fc8ea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 07:36:28 2021 -0500

    whonixsetup -> setup-dist

commit 5a7ca689fbae8c9170445a8ee1b3197982bd2ca5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 30 01:56:27 2021 -0500

    bumped changelog version

commit 79d60639fd6f01d364781e27b3605bb045c616bd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 30 01:53:29 2021 -0500

    fix

commit 8c3a8cb3d89489a2f2dd6523f9074998e9b717ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 29 23:38:12 2021 -0500

    bumped changelog version

commit 2f0ed6ba07647082681c26e470bd3226961c5217
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 29 23:34:19 2021 -0500

    cleanup

commit cfac001351e00a1a6eb8fce65f420c797ff3965f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 29 23:33:32 2021 -0500

    census

commit b900cd95f2b2053d3f63449f124aa1b4799754c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 17:46:06 2021 -0500

    bumped changelog version

commit 0b13ca265a51f63a2968202caa5f761efcf68a76
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 17:43:12 2021 -0500

    apparmor

commit 078f1adb8e95d20822a622acb6257cf6240d77fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 17:34:20 2021 -0500

    fix

commit 77d358fdb80121fca33d92ee94206eb62f87ab84
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 28 04:58:30 2021 -0500

    rename to systemcheck

commit e66235cd5602e9bd0eaa5340645b77a859578912
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 28 04:55:38 2021 -0500

    fix, stop waiting in Tor bootstrap test if sdwdate already created /run/sdwdate/fail file

commit 300ba356bebb4af4546ba096aabea4ca3c9b713b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 28 04:41:18 2021 -0500

    apparmor

commit d90ce443c1a499f0a78bc56815278b9a35988b60
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 04:37:59 2021 -0500

    bumped changelog version

commit 2343fc3f5b5441560d47cc4d668d21fc56d04ff7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 04:36:38 2021 -0500

    uninstall whonixcheck using Conflicts: apparmor-profile-whonixcheck, whonixcheck

commit 0a8645876c43ab01f93778fc5df8f132f5366563
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 04:19:56 2021 -0500

    bumped changelog version

commit 4aa189acaeb1f9f0cddc6e4a54d53020661ea00c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 04:15:52 2021 -0500

    output

commit 9b251fbdd7dfc8486f4aa0fe32904c4757ef20d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 04:15:42 2021 -0500

    apparmor

commit 8a6757efc0aa854d7a811c8857b6ebb7cfad3d32
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 03:48:57 2021 -0500

    apparmor

commit 19661c3321b9d152dc5483122023a6886c5b4520
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 03:47:59 2021 -0500

    apparmor

commit 8d9fd68868b9a0a2076626699b309eafcb8c8e80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 03:22:30 2021 -0500

    apparmor

commit 81d2fcaa92d826eef735c52231ebc5026eb56e6c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 02:53:07 2021 -0500

    census: do not run in Qubes TemplateVM

commit 16023ec62e1ccb1b2de47ca838161cd2b6c7dca2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 09:52:29 2021 -0500

    bumped changelog version

commit 89564c7a9320549b907a1f5f9e5f779593deba6f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 06:50:40 2021 -0500

    census

commit 4ebb014fb16240b0447fd21480554ce00339ac25
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 06:49:28 2021 -0500

    census

commit 59e1baff0bfe0eb6ac4ca4c85a4fde37e492db12
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 06:45:33 2021 -0500

    census

commit d1a94be5aecf8d8447d49c37cd208f06cee734bf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 06:32:55 2021 -0500

    add setting to allow disabling

commit 5ac708ad98a27d5ce6b60ecb5e8a0f37e4363bd1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 06:04:14 2021 -0500

    fix

commit 15cdf73fb18e9858857ec55d13087f391fc15c5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 05:58:24 2021 -0500

    legacy settings folder migration

commit 791583273e390223f5288d84064085b97b14d480
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 05:48:28 2021 -0500

    legacy settings folder migration

commit 93cf73185b8baf5cea0531e59d1fd64b0eb6823a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 19 19:42:32 2021 -0500

    bumped changelog version

commit 17db49714860bd6a1766647f442f97f9e1f898e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 19 01:19:21 2021 -0500

    stop waiting in Tor bootstrap test if sdwdate already created /run/sdwdate/sleep_long file

commit b7f450a08ca2817896e1b3dd30a253cdc179bd68
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 07:30:02 2021 -0500

    bumped changelog version

commit 2e7c64a1a3199574df4ff8efec2fa87aeb71ea72
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 07:30:01 2021 -0500

    readme

commit 92c77ff25fef236bba03626bd178706821ae525f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 03:03:50 2021 -0500

    error handler

commit edeb33d0c286b7abc53560d9fa207c1e8ecf8b32
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 03:01:04 2021 -0500

    Qubes

commit 7ecb8bdbf02d62706691d9d1f8aae581eed8ee32
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:58:29 2021 -0500

    stream isolation

commit 9a772d69d224262c6dbfaaf67b45cb2c287e84b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:47:56 2021 -0500

    census

commit 4865a56ddc041037523759b02ff514b7b34df475
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:47:14 2021 -0500

    debugging

commit 3bd87816894068b622f68747e75ed9c73ce3b37c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:46:00 2021 -0500

    systemd hardening

commit 05acf476ef037803a27b4d7bf38424e235ee6a80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:45:20 2021 -0500

    systemd hardening

commit e3f9d2c970ebf1045c5c13630fc7bcdb19c41d27
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:41:27 2021 -0500

    fix

commit 3c6bf12ad0f9bb2fb34fef3a1ef7e8ca7c4ac8aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:35:05 2021 -0500

    minor

commit 91d6cb4780242dce38355fcd80780ce5cbdf13f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:34:20 2021 -0500

    copyright

commit e9324cfebb16a7576c42cee5b68a34485fad2d07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:33:02 2021 -0500

    fix

commit 7f6caab67fcac1eacaba459b978ed6679ca0d897
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:18:14 2021 -0500

    rely on systemd-tmpfiles

commit 79477fb2a10bb60d4fd3e9539c026aea0e54de5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:15:43 2021 -0500

    cleanup

commit 115df16d8a2c8e3611a83c7f0ab538d32aa78776
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:10:32 2021 -0500

    comment

commit 8267d72f8f9f051b5dd3bf20fbf512cceaf7f78b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:09:49 2021 -0500

    support manual run

commit 14ebfe27ac69f7a98739635017b3c1e29d2bafb7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 02:09:44 2021 -0500

    apparmor

commit 9a41bd3c18eb2827d31c0c29ffd218ad04f54b3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 01:13:01 2021 -0500

    apparmor

commit 95f53adc337e519685fa8e3ef2830a77d4bc0d9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 15 01:04:02 2021 -0500

    add Tor circuit established check

commit 8d435e486f609fa2bba9683ba73ff638d91ef8c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 09:50:30 2021 -0500

    cleanup

commit 6d830ab160df0e0de183390907f2c7c01384feff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 09:44:52 2021 -0500

    comment

commit ea7ccee88b23b57594ce398486de37c70f5ba6fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 09:44:33 2021 -0500

    disable SystemCallFilter

commit f1551d9edb1671255426caf8b89a7b82048d46a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 09:42:18 2021 -0500

    enable systemd hardening for census

commit 71b8445c4347ad75e62230a7299bbc9be38d1330
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 09:11:25 2021 -0500

    refactoring

commit ab4645f6311676edc5a97188bcaf7bca1742be0c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 09:09:45 2021 -0500

    merge

commit f15f7fce52f7cc55aafeafe67cc256e9bca717b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 09:07:10 2021 -0500

    remove duplicates

commit 059770144afe92a1e414202b81ea444ffc78702f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 09:00:01 2021 -0500

    apparmor

commit b8bea66d14baae6361ad3893a278c8fa5daa3e33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 08:29:35 2021 -0500

    refactoring

commit 363901fecf03e2f19f371453f494484203942e87
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 08:18:59 2021 -0500

    refactoring

commit 5a5ad37286ef1c65bf7d849d4aa21095b42b0fef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 08:17:23 2021 -0500

    Consider running under sandbox-app-launcher.

commit 17024d78e682db8c2dd3c060ba6bf272d9c653fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 07:45:47 2021 -0500

    sd_notify watchdog

commit a5b7c8f541501730e831fc04185013d9c7f3a5ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 07:37:25 2021 -0500

    sd_notify watchdog

commit fd6bb7c78eca3bc9f979c9557ffbf27f6c9c0343
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 07:30:20 2021 -0500

    simplification

commit 9a593ef78c447b529bf69ea87b1bf0c21e584091
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 07:28:59 2021 -0500

    refactoring

commit e757d4e089240d37fbef154b4f938bfa586b3c4e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 07:26:53 2021 -0500

    output

commit 33583431b829235944973e081d8b5904180459c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 07:25:30 2021 -0500

    comment

commit 67649ced2170cbd548740afb5d88a2767a913a2e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 07:24:37 2021 -0500

    sd_notify watchdog

commit 8675ec29e8460517109b1d9fbf92c3ce6c5956b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 07:24:04 2021 -0500

    simplification

commit d0cce42e6cd1db07cedb1df93ffb6b93a452f8a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:54:02 2021 -0500

    fix

commit 51b13447fd5e948048c7860e08986214776f4aee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:52:10 2021 -0500

    kicksecure

commit fc70f208f61317c552efaf8778851d2d9807514f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:43:04 2021 -0500

    hardening

commit c39abe9607114b64256817775d38767a142bd005
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:29:17 2021 -0500

    no longer required to overwrite dh_installsystemd
    
    dh_installsystemd --no-start --no-restart-after-upgrade --no-stop-on-upgrade --no-restart-on-upgrade

commit 22288f5952628257a50584ff06ec1dd0724fbdd0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:21:35 2021 -0500

    refactoring

commit e8861e5b119375d6aa3572b4089a5ab90a5ebb5b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:20:15 2021 -0500

    comment

commit c1324efaa13454af74985e83df65fc032dcc8227
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:18:44 2021 -0500

    code simplification

commit c938024afc33c6228aa1cda67c6b8ad1f18609b4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:18:28 2021 -0500

    refactoring

commit 76d004814bcd62ef1f9153ce851316ae87c20d4d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:17:51 2021 -0500

    code simplification

commit b002c66e54888347b009868a32428d211c8b877c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:16:34 2021 -0500

    refactoring, drop legacy config folder in /rw

commit 4262c6bf4ab605a2d20e7cd006ad9d17c9763cd1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:15:31 2021 -0500

    refactoring

commit a039a0075ad5c981530f60c30705da4c2658d0f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:14:09 2021 -0500

    refactoring

commit afcf80813aed4829ac7a5c2399b460dc41b8d94f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:13:17 2021 -0500

    comment

commit 1d2c4c9bd2b7b82aadcf4aa460a0cb11c533894f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:11:42 2021 -0500

    refactoring

commit 4b952c901f7451e13c4f78ab33dd296cefcd6e10
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:10:02 2021 -0500

    refactoring

commit df41877be8d24cbe1a8800537f2b19db145af4dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 05:07:28 2021 -0500

    whonixcheck -> systemcheck

commit f0fe96564620feee09a301b56ddee88441d3fc3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:54:59 2021 -0500

    output

commit fafb978ffba1b74140125bbb7273df9eb563c9d0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:54:35 2021 -0500

    whonixcheck -> systemcheck

commit c1e318eff393a96d8745092b15e8b36f06b134a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:53:02 2021 -0500

    whonixcheck -> systemcheck

commit 0e1c4baa1a4f803cbd5522da213c884b05c89b47
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:52:40 2021 -0500

    whonixcheck -> systemcheck

commit 0c9a564455035698d020f3b35d6be4442636eb58
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:51:44 2021 -0500

    cleanup

commit 31174b5fb1c54c39046213bc47013c33dc79550f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:42:11 2021 -0500

    whonixcheck -> systemcheck

commit 2adc33e3b5c72f42639492ebd5a3864eb72317c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:41:27 2021 -0500

    whonixcheck -> systemcheck

commit d541909959331a89aadbcf495d5eb86dcc7d15a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:40:27 2021 -0500

    whonixcheck -> systemcheck

commit b0f39c7de8b481e26206a666848bdd1bbd774e5c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:38:53 2021 -0500

    genmkfile manpages

commit 23da9d6875bf5cce3c0a8111df44eed9994760ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:38:08 2021 -0500

    whonixcheck -> systemcheck

commit f6b9ed1eed000053197f8216219f9282b6a5d2d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:33:16 2021 -0500

    whonixcheck -> systemcheck

commit 7c5c0d7e1ec7e192c050de27ba852fec94259345
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:18:19 2021 -0500

    whonixcheck -> systemcheck

commit 02e37a25b72cb81f4612f515eadb53d8d74b363d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:17:49 2021 -0500

    whonixcheck -> systemcheck

commit c7fffa6fc341a7c92d0805ddb2a9efba435eeeb6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:16:41 2021 -0500

    refactoring

commit 407dfcdf56573d03b192ebe815eb70e7ea54136c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:16:15 2021 -0500

    whonixcheck -> systemcheck

commit 3758f010af8c8fc19ed5211bd11a2d89f4cd9560
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:12:49 2021 -0500

    cleanup

commit ca509d1e180905dae180ec067aa012ff16c32195
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:11:28 2021 -0500

    code simplification

commit e8cfafa7a17fa48519e9c2c2f5452f9e158bcaf6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:10:43 2021 -0500

    variable names renamed, no point to parse legacy config folders

commit c4178df6b81c80517fc508938e178197a4cbecf1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:10:13 2021 -0500

    whonixcheck -> systemcheck

commit d2fb2afe84ed154c768ebd9c3825f350abf5a2e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:08:56 2021 -0500

    refactoring

commit 2d12599428817647a0d0b8e71fb82b01114d89b4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:07:58 2021 -0500

    remove unfinished TPO certificate pinning code

commit 7eee1c00c6e88640a062e48e472fe9571ee6eb45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:04:58 2021 -0500

    remove deprecated Whonix News leftovers

commit 259984698882d34f0412b07db5bced38688f782d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 04:03:00 2021 -0500

    whonixcheck -> systemcheck

commit 66a3e7bdc7e991e7b3b208a7835a5ee716a17254
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 03:55:16 2021 -0500

    whonixcheck -> systemcheck

commit e3e8fb5a0a72211f9b3cb1a129cbb4cc24012c60
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 03:48:55 2021 -0500

    whonixcheck -> systemcheck

commit a165f6d0f9293cc93acfacd229c3fe2ed5b5a573
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 13 06:17:03 2021 -0500

    update

commit dee6299d8b3381123ec3b55ecaeb45a4f95978cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 08:07:03 2021 -0500

    bumped changelog version

commit 8cf74dc6a8aad4d1e6d706e5d151d7c2a1d9b00e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 07:50:32 2021 -0500

    output

commit 9bfc52428aaee2447794448692f0053656f90759
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:42:29 2021 -0500

    bumped changelog version

commit 4d8b83d0da9ad30207f3c633dac96911219e5d54
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:38:47 2021 -0500

    port to /run/qubes/this-is-... files

commit ea44abfcf6f1402207357934cc795c7bd88c1c88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:34:43 2021 -0500

    port to /run/qubes/this-is-templatevm

commit 2eb9ceb3a41423d8ec73093c5d769f4c9d7f49e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:32:27 2021 -0500

    port to /run/qubes/this-is-templatevm

commit 50836502ac761fcef39db2b8da88bf6d187f4089
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 6 05:33:19 2021 -0500

    bumped changelog version

commit 179d29ca55dbd6230e94c8d3f9ad1f1373591d52
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 6 05:23:51 2021 -0500

    update path

commit 9e97903acccaefcd9e1102ce994dd91f33490b67
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 1 07:57:42 2020 -0500

    bumped changelog version

commit da66b530319bee6fe78fced84b3b71ead2ca344a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 1 07:55:56 2020 -0500

    no need for `eval`

commit af8dafe80fff758e69d1b658e096c7616ad6260b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 16:20:35 2020 -0400

    bumped changelog version

commit e0fca639a10382a3de1d8754af44831536f288ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 16:14:48 2020 -0400

    --tlsv1.3

commit b6183a48f052af1e39bf767c5a179cbac507aa7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 17:01:37 2020 -0400

    bumped changelog version

commit 285fc31382443c5bcf22da7861013705da573ab1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 11:07:55 2020 -0400

    recommend upgrade-nonroot over apt-get-update-plus
    
    since that is more suitable in combination with apparmor-profile-everything and
    different boot modes
    
    https://www.whonix.org/wiki/Dev/boot_modes

commit 3683d9c09cdabdd0a635bb487bd9935d8e1e6859
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 15 08:32:10 2020 -0400

    bumped changelog version

commit 5152a1de7ef8d4c2b07f03d399d332de4e3c4c85
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 15 08:13:22 2020 -0400

    fix

commit 12a5541758ef680d2bf78e8f0ab89052593e4135
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 13 12:34:22 2020 -0400

    bumped changelog version

commit 4b49164f4a9883d40caa773f457b0208137edd16
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 13 12:34:22 2020 -0400

    readme

commit 3387f59baa9519c0f4564faa42f1c75aa9436e75
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 13 09:56:00 2020 -0400

    warn if `dmesg` contains "Bad RAM detected"
    
    https://forums.whonix.org/t/kernel-built-in-ram-memory-test-parameter-memtest-1-enable-by-default/10394

commit 996cc55684c538dc8206396b9c8f91c4af6715e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 19 09:30:00 2020 -0400

    bumped changelog version

commit d4481c5300c9c62649f8a738e04a4ff5cd64d3ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 04:41:52 2020 -0400

    output

commit 7a3350dbf5dd0f57ed743abe47594c1e232603b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 04:37:30 2020 -0400

    output

commit 1dcb9fd869a848257e7b57056d2a54a9e47dda3d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 04:36:46 2020 -0400

    output

commit 560f956e670a04dd17625371aa908f72b9b8ac84
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 03:22:18 2020 -0400

    output

commit 302938b32aaa78de089492f8af30ead9e88134a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 3 16:45:01 2020 -0400

    bumped changelog version

commit 276a5de40d166201fa31501231e9753d8cf0d5a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 3 16:26:37 2020 -0400

    whonixcheck_expected_nonfree_package+=" virtualbox-6.1 "

commit 67a1e0c2247ce539144e85d924320209b47c2cad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 3 16:26:00 2020 -0400

    whonixcheck_expected_nonfree_package+=" virtualbox-guest-additions-iso "

commit c2fde595d9aeb2be8ef00b20f7e68d350e94a96c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 16 06:08:13 2020 -0400

    bumped changelog version

commit 089429f98742a2060ba2e8a9270da4056b6bf8a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 16 05:44:51 2020 -0400

    add sudo test
    
    would catch error conditions such as the following
    
        sudo hostname wrong-hostname
        sudo test
    
    > sudo: unable to resolve host wrong-hostname: Temporary failure in name resolution

commit 7fa9967a01bfb59a80a47c45faef017a814d0894
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 16 05:06:49 2020 -0400

    output

commit 752fe8fa195755a85b58f53da299fb2e56c2fd5c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 16 05:00:11 2020 -0400

    Depends: apparmor-profile-dist
    
    to make sure it is installed before whonixcheck

commit 5a89ff4f3aa23c0ebdc0224964d1d7a94eed6763
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 00:55:48 2020 -0400

    bumped changelog version

commit d207903a2741278e23eedf31b41d84059dbdf7e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 00:55:35 2020 -0400

    improve curl retry

commit b59cad59640662f801f266115fd87bc6553e2f5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 00:52:24 2020 -0400

    same curl max-time everywhere

commit db34da8eeb45a349ccced6ca6928993bf1968bac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 00:49:51 2020 -0400

    refactoring

commit 4f37d2cbe8f246972b93972f905c761449a6cadb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 00:49:31 2020 -0400

    --proxy rather than environment variable

commit b6a4d414e33228714a7150e7022c68e4326387e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 00:48:50 2020 -0400

    update / generic link

commit 4931b6b83fcbac974ffe54a5bde05acbffcdfe29
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 00:48:38 2020 -0400

    https

commit 6982e90c316c070990dc7bac838ca55ce8d48b76
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 00:32:09 2020 -0400

    bumped changelog version

commit 032a2b81d60844ea201d93d12c8636e4abe193e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 00:30:47 2020 -0400

    lower verbosity

commit 2865fdfd2629ccb2b1bca78c158fe64112f23af1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 00:29:07 2020 -0400

    dedicated onion

commit b684cdac7d5f2ab4dddd7488e07de1c0ed7c267a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 14 07:00:04 2020 -0400

    bumped changelog version

commit e95abd36047d2185f4e00c6123c385d05b2da0b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 11 09:30:05 2020 -0400

    check_whonix_firewall_systemd_status after check services / check journal

commit a2082ae3280ea30601762b32371fa46420165b4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 6 15:36:43 2020 -0400

    bumped changelog version

commit cdb054e16efc292899640879a67eabb0763264e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 6 15:28:12 2020 -0400

    output

commit 3ef2527a385349eeb17905a6d3315dc90c9d2954
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 17:02:47 2020 -0400

    bumped changelog version

commit 65c9a5a8fd097a93e64a00046ca486fa99a74109
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 12:05:18 2020 -0400

    minor

commit 4d1829fa791dd4c8cd233ede1aa68db333016e27
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 12:03:53 2020 -0400

    /var/lib/dist-base-files/build_version

commit 861470bc6edac31a6b2e64bb4da2006e371d6a61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:50:21 2020 -0400

    bumped changelog version

commit 9597246a6740a9ca9159948c4349d99284152b7d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:40 2020 -0400

    readme

commit d7b0f6ffa5b8b9289820dad392cf179ff1dcfc7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 12:10:39 2020 +0000

    bumped changelog version

commit 67198d849a38403c4a564e1887189849ac674051
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 11:49:47 2020 +0000

    no more sdwdate.log

commit 696c31e2e90031bd93c616e9a74fce6e1e4deab9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 09:46:36 2020 +0000

    bumped changelog version

commit b837c939d54ba5100c9e8b1e61c30da9f0e0da0f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 20:59:05 2020 +0000

    actually no longer depending on gpg-bash-lib

commit bcb42506cecd3269707c1fefe0caeb5e20be258f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:52:56 2020 +0000

    bumped changelog version

commit 324e2e6e79e74db0032da492e7cef82f16f67a39
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:48:59 2020 +0000

    cleanup

commit 4f0c934ce13cf7a241404d1b721130c454aa34a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:04:31 2020 +0000

    anon-base-files -> dist-base-files

commit fe79921540e2bc7f7250d0eddfab5bc146da4ee9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 13:41:02 2020 -0400

    bumped changelog version

commit d0cf2b4dc4c79d31cd109750727fbf9b61d590ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 13:33:29 2020 -0400

    apparmor fix

commit 76c6b9b005dc9aeee290b4a7d826b31378d63395
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 13:29:27 2020 -0400

    bumped changelog version

commit a32eb9e2e5fcae57f90aa0753301272fb906e888
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 13:22:23 2020 -0400

    copyright

commit 124d903f9cf6a6c41c952cfd1052755f0b8681b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 13:12:39 2020 -0400

    apparmor packaging fixes

commit 0d9290b59eba4bcbb4ab78103d822494152a7586
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 10:19:04 2020 -0400

    bumped changelog version

commit c4c3207ea845ff070617444aaa53ebaaad16cb35
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 05:39:20 2020 -0400

    remove curl-scripts (was merged into helper-scripts which we already depend on)

commit a881e9e83cb739abe69bbfb55437166fab798d97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 08:08:41 2020 -0400

    bumped changelog version

commit 3993f32a5cb68371b14602e44d9e694867fac1e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:23:02 2020 -0400

    readme

commit c14f8df904523905fead394fabcdb80a98d15897
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 17:35:01 2020 -0400

    remove 'Build-Depends: ronn' since no longer required

commit 385a67828c871b8c2b249b2cee88962c0dee6e4d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:35 2020 -0400

    remove genmkfile

commit 4ce7cdfc95233999b75b02fbd51dc79cd30ea09f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:34:16 2020 -0400

    add debian install file

commit 3049c78ee7172238f6bb17e0adbed9f48d867ef6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:56:50 2020 -0400

    add man pages (generated using "genmkfile manpages")

commit 457babf4179475b24cf401a04f66c69573dd558e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:50:19 2020 -0400

    no longer create man pages during build process
    use pre-created man pages

commit db6ae3391c552953323cd09cce308f8efb110183
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:43:05 2020 -0400

    change path to auto generated man pages

commit 18d1f53722c24c0205d1d1964b9f9aa8d1f95a8f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 11:11:06 2020 -0400

    bumped changelog version

commit 6cd71129250dff13f6aa9874db56e85b0f0cd0ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:50:01 2020 -0400

    update copyright year

commit 76493474785655399caa66f1544568184a0809c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 07:38:31 2020 -0400

    bumped changelog version

commit 832310db9eace26730374f967ef26b4a014a7a70
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 07:32:27 2020 -0400

    fix adduser home

commit 065ef432f684b3fc88dd5ec65dee77e585a5d8e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 30 06:51:21 2020 -0500

    bumped changelog version

commit 548421c9039e04de273ee2c020c13bc4387cb9d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 30 06:47:42 2020 -0500

    research project

commit fede9267ed6f6f3162004b5213105580752b2015
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 27 04:54:23 2020 -0500

    bumped changelog version

commit 8d33621dc7fe5def25bcc22d737008fe445cf48e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 25 07:46:41 2020 -0500

    extend key

commit 23ca7f4c3a05ff9ff84ec311c3dbeae3b2d2d6b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 22 08:28:30 2020 -0500

    bumped changelog version

commit 12a7758cc62f0a2bcc270851b13d4810ccae67de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 22 08:05:25 2020 -0500

    output

commit c5efbf15f719a3e061a2fac7e3323c2bb246380c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 22 08:00:49 2020 -0500

    output

commit b1b528a78b259914046238e87e8a73da880b81a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 22 08:00:25 2020 -0500

    output

commit 1f264ee0bae1dcf821b4f1396f8c5b0933e54f62
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 22 07:52:40 2020 -0500

    output

commit c8170f6d0015da934e201dfb581de284a3747a1f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 15:20:57 2020 -0500

    bumped changelog version

commit 7b47c030ae924bbb37ef3e9d596acd73efe55eb4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 08:31:22 2020 -0500

    journalctl --boot

commit f93f9d37f3154daf848d59eec1973d4fac2ea4b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 08:30:51 2020 -0500

    journalctl --boot

commit 79a274d407950ad8be6906bc7feba0c5f1af9338
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 08:28:08 2020 -0500

    whonixcheck --verbose: also show "journalctl -b | grep fail" output

commit 801281f5e0c8fd116d27f5a96a9e9500f0328b15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 29 08:12:59 2019 -0500

    bumped changelog version

commit cee2ca97654575974c78a7a9ea699a38b8090c88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 28 12:25:18 2019 -0500

    remove dmidecode, probably leftover from virt-what

commit 1b15f154485d0edb407d5caa7778d8050858b2e4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 28 12:24:49 2019 -0500

    no longer using virt-what, therefore removed

commit 79db24d7061b9c8a302b57aa7291edfe4e2109ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 19 15:33:28 2019 +0000

    bumped changelog version

commit 374d78f1595763458e8a4c87434c20d57631d11f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 19 15:30:54 2019 +0000

    minor

commit 84f55c12aadf94a8feb7e2f6f26f631522962778
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 16:08:27 2019 +0000

    bumped changelog version

commit fb1f0694b60c0faa639c6d2517c26d4f711a8984
Merge: 014a3e3 48764f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 30 00:16:21 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit 48764f86c287c7b6c7806e3002dc6a08122fa3c4
Merge: 014a3e3 c72d21c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 30 04:15:55 2019 +0000

    Merge pull request #14 from madaidan/apparmor
    
    Give access to /dev/pts/[0-9]*

commit c72d21c2050da32043ba7aa1a12bd0ea4072621d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Oct 29 21:59:00 2019 +0000

    /dev/pts/[0-9]* rw,

commit 014a3e315bdcb5a6413ed8df0d605eab8f732fc1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 27 09:19:42 2019 +0000

    bumped changelog version

commit 013f9764eeeb90c078a1254ce1f667a45cf7f648
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 26 13:35:05 2019 +0000

    permission hardening

commit 4c89e6639205be24ebd556c4f2af504ddcc5cd9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 26 13:34:46 2019 +0000

    refactoring

commit 166c9b84430f871afaa4fa63a2b430b40e6629ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 26 13:06:03 2019 +0000

    specture meltdown test when using whonixcheck --verbose --verbose

commit afb4bd8668fefba9cfa0cc4acc3a9d5e9a3fc2b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 26 09:02:30 2019 -0400

    remove ineffective code

commit 52aff17e38eb3d647c237aff7f2847f67d368c99
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 26 09:01:56 2019 -0400

    fix output

commit e2fedf65fc92acb8e63030de5fa09eb8553519bd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 26 09:00:24 2019 -0400

    comment

commit 74a01b77c5ae2cfcadbff9df567e11060afdabf8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 26 08:57:26 2019 -0400

    code cleanup
    
    remove no longer required code
    
    since apt will no longer restart whonixcheck during package upgrades, there is
    no need to detect that case.

commit d97a868e8c68a64193c83ec104ef7e98a3bdf938
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 23 10:24:12 2019 +0000

    bumped changelog version

commit 09748ecbd57fbfdb2de1dcfddfcae0d39da10059
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 22 09:33:06 2019 -0400

    output

commit 81262a0d5f76cbb10d5f5b175ed13e4ab5f61150
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 21 10:22:06 2019 +0000

    bumped changelog version

commit fb087f1beca2620c0df56010064676df62cfdeb6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 21 10:03:49 2019 +0000

    dh_installsystemd --no-start --no-restart-after-upgrade --no-stop-on-upgrade --no-restart-on-upgrade

commit 8ffb2b375f8e31bd541e1e6492539d25c9da0fee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 13:07:01 2019 +0000

    bumped changelog version

commit a44ae1cc37bd3ab1e7b3ad67924c4248631731e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 13:05:36 2019 +0000

    fix

commit a1cfd0559572e80327cbe53c68c548c2a3ebaf80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 13:04:14 2019 +0000

    debugging

commit ffda83871fe32f20b8c0614153f03de5ce5de4e4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 12:46:35 2019 +0000

    bumped changelog version

commit fb4d0e0434cac3cfc0c812e9dbe4845fce88d58f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 12:45:41 2019 +0000

    virtualizer specific census

commit 2c7b58ee5c213e27a2d7660095ecc0512fc9bbf2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 12:33:15 2019 +0000

    implement variable whonixcheck_platform_or_virtualizer_known

commit 796076de132b99f4b5cd2187acaf8dc64bb61a96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 12:27:48 2019 +0000

    refactoring

commit a25e6a4349c43fcb596a29ef49de7634540a6502
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 12:21:19 2019 +0000

    refactoring

commit d23feebe0acf1fe9aec76c26bae9e44e3cbb9757
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 11:47:15 2019 +0000

    lower debugging

commit 1a303025fa3d36070f553e6fffc571f5562a6437
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 11:46:32 2019 +0000

    refactoring

commit df09096ba1854024ad8ee4ea1a3c78a701698531
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 11:24:16 2019 +0000

    comment

commit 7cbbfc94c3169e9e727283417e3845892f08cebf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 11:23:39 2019 +0000

    skip census in Qubes DispVM

commit 0ab072dcb7ae61ca62ac76eecf1af68aa29f4cd5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 11:20:56 2019 +0000

    remove unused whonix news code

commit 4c6c90786197d8be7633c2cf254188b787a18b46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 10:41:23 2019 +0000

    bumped changelog version

commit bc021c349b22030062252115d5a618a362c00651
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 04:43:40 2019 -0400

    fix "systemd-detect-virt output: /usr/lib/whonixcheck/preparation.bsh: line 79: sudo --non-interactive systemd-detect-virt: command not found"
    
    Thanks to @madaidan for the bug report!
    
    http://forums.whonix.org/t/restrict-hardware-information-to-root/7329/78

commit 00a194750d356bc26d7fdb63d229cc5056131e6f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 14 10:24:38 2019 +0000

    bumped changelog version

commit cfdcb60846684ded2335202e1515687450b5603c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 6 11:34:43 2019 +0000

    refactoring

commit b6954b9a75081ef5196f4de937c3e27cce56d247
Merge: e9b69dd 7665654
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 6 05:21:27 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit 7665654a950aa7966b1516df06d719a510d20962
Merge: e9b69dd 123a04f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 6 09:18:34 2019 +0000

    Merge pull request #13 from madaidan/sudoers-exception
    
    Add sudoers exception for systemd-detect-virt

commit 123a04f92ce3ae76a918ae059adf4b90167f0700
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Oct 5 18:14:06 2019 +0000

    Use sudo

commit eaaba3c73dcd3a828fd00c2bc1d7a1bf5099d6ba
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Oct 5 18:11:45 2019 +0000

    Add sudoers exception for systemd-detect-virt

commit e9b69dde371b032edf8248ef62a24db8ae0be24e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 5 09:42:06 2019 +0000

    bumped changelog version

commit 3c8bacb8c2b891051c5aaa7940ec531d5afa0e45
Merge: 09ec0bd fb5cc2e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 5 04:44:47 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit fb5cc2e721f99bee52be5f28ae4747aa38f67c01
Merge: 09ec0bd 31ccb33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 5 08:43:56 2019 +0000

    Merge pull request #12 from madaidan/sudoers-exceptions
    
    Use sudo when checking files in /sys

commit 31ccb332d9a0248613db043341cf8c0012b867b5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 3 21:36:31 2019 +0000

    Update check_network_interfaces.bsh

commit e6417ae2e4dd033f047cfdf9a5cb58fd14ed64f6
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 3 21:36:08 2019 +0000

    Update check_pvclock.bsh

commit 9cd6c1d679da38125653cb790eebf99b295900c7
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 3 21:04:02 2019 +0000

    Update whonixcheck

commit 702c2c3f0596e144283cc8ea09e2fa056808e110
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 3 21:02:08 2019 +0000

    Add sudoers exceptions

commit d6f91a78b42370f2696be63ce27ca3525cd0ad5d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 3 21:01:30 2019 +0000

    Use sudo

commit 039a15896ad40450bb8543b9daab5654965289e9
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 3 20:59:13 2019 +0000

    Use sudo

commit 09ec0bd80aea1ac1698abab47aeb3eef3610139f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 17 14:17:49 2019 +0000

    bumped changelog version

commit ac65e3f47f54f4fb879b7efab5269b280956408c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 17 07:24:52 2019 +0000

    fix, also run original dh_install from override_dh_install

commit 6768261f6fdf232c844e80b74d8a158eb0e791cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 7 06:21:43 2019 +0000

    bumped changelog version

commit e9ff44cc217dca70e82e16df06a66cc193addcf1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 7 06:16:29 2019 +0000

    output

commit fc9415a099d83663c8e8831483a293c43c4d29e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 13:47:07 2019 +0000

    bumped changelog version

commit 8e390a9043a2d100e1286351e85d6d64ddeb5cf4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 08:45:10 2019 -0400

    depend on adduser

commit f2394d5f21da74f1d3829ea3171ba729cd67bf82
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 12:52:19 2019 +0000

    bumped changelog version

commit 6b57ed2f748eeb45b50b35520d358bf18a39e772
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:28:31 2019 +0000

    split dh_install / dh_installman

commit 128bec5c7e15ef8570029add893e2b4b740cbb53
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 11:31:53 2019 +0000

    bumped changelog version

commit 54c675be7b68d4b6ce6fed87e622570544967b28
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 11:30:34 2019 +0000

    /var/log/journal/** r,

commit 34dcf944d5033653727dc082cafcb32ba377fd4e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 12:11:35 2019 +0000

    bumped changelog version

commit db16ef6def08a2fd3b1ad81cc57f5b98772635e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:47 2019 +0000

    readme

commit 7a9ada903c98ba66e8bc33af0a9f978c31295e5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:10:09 2019 +0000

    increase delay in check_package_manager_running to reduce log spam
    
    and not confuse systemd

commit 0e51e26bd11df3fff275de05060c738694f34e01
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:07:23 2019 +0000

    abort when run in autostart or daemon mode when package manager is running
    
    because this is likely during apt-get upgrades.

commit 38a6dc11fbf5ddbfa58fd0cf989d62f375b8c79e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:49:30 2019 +0000

    bumped changelog version

commit 31b52ae290cc739a0a050f99144522ee6435a91b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:14:31 2019 -0400

    /var/run -> /run

commit 868e592d6dccea2c681c49a6824117f39744e956
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 28 19:31:26 2019 +0000

    bumped changelog version

commit ed16c2d51d00f5f71405a6ed814b6857cb4ea623
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 28 13:01:10 2019 -0400

    output

commit cb0ae0e108342bbd2891edd91a6ddb083598f184
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 22 01:20:00 2019 +0000

    bumped changelog version

commit cf786a7096f31d2b25421710b762bfe0969b869c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 21 12:13:06 2019 -0400

    check_journalctl: really do not exit non-zero when warning messages are detected

commit 86c60b267bf1b7fa8128d3cf95a205a2d08565d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 21 12:08:52 2019 -0400

    check_journal: reduce message priority to info, do not exit non-zero
    when warning messages are detected
    
    and reduce false postives by using journalctl with
    --priority=0..4 --boot
    ("emerg" (0), "alert" (1), "crit" (2), "err" (3), "warning" (4))
    
    Thanks to @marmarek for the bug report!
    
    https://phabricator.whonix.org/T925

commit 063da3ebea57afcfdb5d9c4ad44138c8345889e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 21 12:04:44 2019 -0400

    remove obsolete comment

commit affb6cae6be676fa9f5d41185f341dd7253cdcfe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 10:10:48 2019 +0000

    bumped changelog version

commit 79127f4f5e45454801aace51ec36efeadc15d946
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 09:56:41 2019 +0000

    disable Tor bootstrap test by default
    
    i.e. no more "Connecting to Tor...", "Connected to Tor." passive popups by default
    
    using sdwdate-gui for that purpose nowadays
    
    can be reenabled with a config file snippet /etc/whonix.d/50_user.conf
    
    whonixcheck_tor_bootstrap_skip_auto_check="false"

commit aafc18072d7dc681834dcf931ea488e5309bbba5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 05:14:36 2019 -0400

    parse /usr/local/etc/default/whonixcheckd.d/*.conf

commit 4a8dae09c5e63fe7a1d5949d89a6af2764d280f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 05:13:35 2019 -0400

    parse /usr/local/etc/whonix.d/*.conf

commit e52b7b069835992117b8be48ae0327871c4d423b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 22:28:51 2019 +0000

    bumped changelog version

commit 4b6c0cf5ed1a4ba0498b7a36100db35959f3519d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 22:28:30 2019 +0000

    fix

commit 386ab5a0137fe7e91d32d8c881972d6d12e4b1f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 22:18:13 2019 +0000

    sanitize_variable "$LASTRUN"

commit 86d4c30cb06ac7b2ec5fc78d80e39d60c8969d3b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 22:12:50 2019 +0000

    refactoring

commit 2e72c25a4697bb1a0ed6722f57950646cf543de2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 22:12:14 2019 +0000

    refactoring

commit 29f80c283caabbd0afaf50d4822a22ad8b6489d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 22:09:00 2019 +0000

    check if LASTRUN is strictly numeric

commit 8662399ee296487ca974af4c1337cb5c155071d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 15 19:51:34 2019 +0000

    bumped changelog version

commit 95c611b5dc22fffa1f3537543fd275ec1e29504b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 15 12:38:30 2019 -0400

    cleanup

commit 6001af49ce51e1733e404e1c5335e8cb62942722
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 14 07:23:32 2019 +0000

    bumped changelog version

commit ba40ad3928a92390f813bd220788b3655d537ee5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 14 03:13:37 2019 -0400

    move to /usr/share/whonix-setup-wizard/status-files

commit 25697207c956b66030d914acd37a359d3579a0c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 20:12:54 2019 +0000

    bumped changelog version

commit 2df17e75e2e67761235d0d3f3775f38694f1bc2a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 20:11:40 2019 +0000

    disable systemd hardening since broken
    
    https://forums.whonix.org/t/apply-systemd-sandboxing-by-default-to-some-services/7590/31

commit 731d88922800a38c20ddf96c22be70de87495abe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 19:35:28 2019 +0000

    code simplification, rely on systemd for process cleanup

commit 77f8e187a8d78cb7dcd738cb609c4c595a60f28f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 19:15:17 2019 +0000

    refactoring

commit d92b54e155ec5caef12584ccce4c2b6ae6fd881b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 19:14:36 2019 +0000

    debugging

commit 68cd88a2602765e5063cd92b335f964c67500929
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 8 02:16:34 2019 +0000

    bumped changelog version

commit 7c3dda1807308ba9577529c022ce43d2e6926993
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 8 02:03:26 2019 +0000

            /usr/bin/wmctrl rix,

commit 9b03cc2ac2f748f2827c48302615354be9e085f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 8 01:42:14 2019 +0000

    apparmor fixes for msgcollector / zenity changes

commit 6371c02bc0da899b1efa3e56a765b4f5929f80dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 7 21:24:07 2019 +0000

    bumped changelog version

commit 418e10dc88ff9f9afbbfc4ac8cf05de123aa25f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 7 21:23:21 2019 +0000

    check Tor running hidepid=2 compatibility

commit 4621a5bd7e378c4db8794d7ccd7b391d7c923b57
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 7 21:14:50 2019 +0000

    override with || true to avoid race condition.
       pid="$(cat "/var/run/tor/tor.pid")" || true

commit 95a45f0ff1d7153a4840e33d5ef9135ed468dcaf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 6 13:54:04 2019 +0000

    bumped changelog version

commit b1711167b726103eb177808ae85af6f162be8238
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 6 13:39:17 2019 +0000

    fix

commit 5d01843c185ed0b2f6837e81aac8e3147bc8ac70
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 15:24:27 2019 +0000

    bumped changelog version

commit d8804493701e03f77398586582912c8a5608f745
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 08:15:15 2019 +0000

    fix system call name

commit 546345a1cecccec6e7c0df14f8cc7a67e45ea7a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 30 07:16:07 2019 -0400

    bumped changelog version

commit 78de9f0a134eced5ed08a6734481b8c541af3cbb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 13:45:41 2019 +0000

    man page

commit dc7a83875cb95cdfc6f7f5e3313d532878d3d731
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 07:28:44 2019 +0000

    bumped changelog version

commit 6d8ec980605f0bc6342d5b6659da4e189780be18
Merge: 81bfe23 2592424
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 26 07:34:06 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit 25924245130b6dea1eb399445099550f1a3f8b03
Merge: 81bfe23 2e93a5b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 26 11:33:33 2019 +0000

    Merge pull request #10 from madaidan/patch-1
    
    Add systemd sandboxing

commit 2e93a5b7562055d9e5fd92834d0c4f4aa76e7866
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jun 24 18:17:24 2019 +0000

    Add systemd sandboxing

commit 81bfe23c67d31fe2566ff3613ad327c2eff31095
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 21:04:19 2019 +0000

    bumped changelog version

commit 01e89f6e4dbcc0f3c454ffd1fa77e6c99521a1ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 20:56:18 2019 +0000

    fix showing donate notifications in CLI

commit 645329186cf5af9d68cd58cc80e6d70e2c1c2a47
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 20:55:18 2019 +0000

    fix donate message logic

commit 6e67fc75de790ff5b729d4f55790698624aa5edb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 19:58:48 2019 +0000

    bumped changelog version

commit 5a6e3ee498d62eeec2b463db24f210b54efcc21a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 18:36:12 2019 +0000

    code simplification, always show donate message in CLI

commit c22f81fb3502f81a0415726156b29c03b728b3c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 13:10:47 2019 +0000

    donate

commit 4b366de1cd4f3524cc561a4f3a09dc1db1d14933
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 12:50:29 2019 +0000

    output

commit 98facce85a679f5935fa11db2ad73bc853ccca0c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 12:48:00 2019 +0000

    fix donate

commit 37da0a549cfc00d6e69c53c9f5714853087e78c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 13:32:23 2019 +0000

    bumped changelog version

commit 03d13c11f391f6c1dafd33dcf4c5c3850d4266c9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 13:31:46 2019 +0000

    fix stream isolation test

commit 895f238061f189a9dc650a26c5c5d87dadd612b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 12:24:07 2019 +0000

    bumped changelog version

commit d02bbaf62195404bc3d8ab521ad141db118dcc50
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 07:43:03 2019 -0400

    remove duplicate

commit e7e835c4465f86ce2da70e7afe1ce7af6c31095e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 07:38:41 2019 -0400

    compatibility with UsrMerge
    
    https://github.com/QubesOS/qubes-issues/issues/5111

commit 32da48e0f964549dba9cc3939fcc80c9d8c3eee1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 10 15:44:05 2019 +0000

    bumped changelog version

commit ad8b994041479c44298d0d73e82be7c83dc0217a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 10 15:22:44 2019 +0000

    apparmor
    required for systemctl
            /etc/machine-id r,

commit 57bf058d4a95d806a75a221d4459f50ea79c5d31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 10 14:51:48 2019 +0000

    fix waiting if whonix-firewall check succeeds late
    
    Thanks to @TNTBOMBOM for the bug report!
    
    http://forums.whonix.org/t/whonix-virtualbox-15-0-0-0-7-debian-buster-based-testers-wanted/7131/21

commit 7844fcd14ebe875a5f38b7d3e36c9a337e7ef944
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 10 14:36:22 2019 +0000

    increase whonixcheck_tor_bootstrap_wait_max="150"

commit 14cb467a29fbf61d1ea16d590413d73e3fd693e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 9 01:52:18 2019 +0000

    minor

commit 237c24c4113b910366a48a311986487d7535724d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:40:17 2019 +0000

    bumped changelog version

commit 52f2d67ee89ade61ac4d09877d089268fbe269c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:37 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 5111b2765e7e2d0b8d24cdfb5e7c6996da7a1e25
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 7 07:51:04 2019 -0400

    port IP check to https://check.torproject.org/api/ip

commit e18bf8e19f02250373252a6cdd2e9ff7e183b549
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 21:04:02 2019 +0000

    bumped changelog version

commit 3cd30e3e4bfa90df07390da0e0c2e86f446ccce8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:29:11 2019 -0400

    readme

commit b965253c85f95458c200330a80fe5efeee667429
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 10:09:05 2019 +0000

    better output if virtualizer detection test failed
    
    https://forums.whonix.org/t/error-virtualizer-unsupported-by-whonix-developers/4471

commit 6aa837c495cce147a64a4c4fc3ebf2e074f5b030
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 11:10:55 2019 +0000

    bumped changelog version

commit 3bda1c79aa494d35063aecdc88b911f10a8fac6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 10:28:07 2019 +0000

    fix

commit 0e6bc8088036adda31c3b80b57cb4b932899ca2a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:54:07 2019 +0000

    bumped changelog version

commit 87512f236658e5e9cfb39f74acdb3ac9a437afc3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 03:03:35 2019 -0400

    minor

commit b410c0e16703c4da45aa928c21f48e2a3a54f612
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:58:46 2019 -0400

    update path to pre.bsh

commit d49e43a3099204a062b31e5afc47c82c94dca1e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:50:16 2019 -0400

    anon-shared-helper-scripts -> helper-scripts

commit 9c423d1130588111a31c75c1de7dbb09707bf88a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:42:27 2019 +0000

    bumped changelog version

commit 6f743b3a495595990cf9de51641e13b923a4fc26
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:58 2019 +0000

    update

commit 4ae573fe2ac3d6cb3e3236a57159dab63e1f33dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 23 12:40:49 2019 +0000

    bumped changelog version

commit 8b827230dd5c5ac1ff5ceb060d98e57761be4e22
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 20 09:51:34 2019 +0000

    refactoring

commit f287e2b730def76818a5040bc0447b4f3ec4259a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 20 09:50:39 2019 +0000

    fix

commit b4971a0a8d75a6431f3f9c75c1bd621ab7c86ae4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 20 09:49:09 2019 +0000

    grep for "ordering cycle" in journal to when using --verbose

commit c1be65e27b5b5af9b566ac78b96ceab0d7133688
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 13 14:25:43 2019 +0000

    bumped changelog version

commit b987b902117c3616198dc19485a6659ad9e6c842
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 13 13:36:28 2019 +0000

    output

commit 9d229800c60ed13a83118a51396f70d075408c1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 13 13:33:59 2019 +0000

    output

commit 2647bc1904aad46811cddf717880e77bcdfcc3d7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 12 19:19:20 2019 +0000

    bumped changelog version

commit 44686c60cf7aef3716939abba252159d26745b8a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 12 19:18:34 2019 +0000

    fix Qubes virtualization detection in Debian buster

commit bdc54d61f469380be654feea743474db5d50cf41
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 12 19:18:13 2019 +0000

    verbose output

commit 2c082cc55e39c37056ef3eb448b8880905df8f2d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 12 16:24:55 2019 +0000

    bumped changelog version

commit a11abb6ca0e9ad3b77943dbcc066136e839c1f93
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 12 15:54:39 2019 +0000

    sudo

commit ded4e9324ffc804a3a4a6118d09de4a2effa63ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 12 15:39:57 2019 +0000

    whonixcheck grep journal for "fail", "error" and "denied"
    
    https://phabricator.whonix.org/T854

commit f83a4633e703b621794273f28136a4dc2e3fddfd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 16:23:50 2019 -0400

    bumped changelog version

commit d40ddc10a655ee682cfd4f7cb2bbb6b14494152f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 15:41:31 2019 -0400

    warn against outdated meta packages

commit f680cc9da26c64c697f378f62c5b1cceb1965b8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 15:38:39 2019 -0400

    deprecate KDE
    
    https://forums.whonix.org/t/user-poll-xfce-vs-kde-kde-deprecation-considered/6235

commit ffbdb2e2dfb35810ed3314e4ba6805f4902a4f9b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 15:27:46 2019 -0400

    verbose output for apt-get update when using --verbose

commit 1bd3941ac8684313fdfc2e3319bf55fabf3335b1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 13:06:46 2019 +0000

    bumped changelog version

commit 458fc17bd48fa43fe417a851d1c5834c7e54d146
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 06:33:16 2019 -0400

    fix apparmor

commit d5661c0b834a21022a0530ec8d05159e79b4072e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 06:19:43 2019 -0400

    output

commit 0b12f0c8f6f04911ed57a54c1706e31f7f6c81aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:21:46 2019 +0000

    bumped changelog version

commit 6cacbae9adbc7ddfbd1f0cc114a36532193cb811
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 10:22:43 2019 +0000

    sudo

commit 8af109938338e42dbc886b864fba7c3a0ca2a0ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 17:04:27 2019 -0400

    gksudo

commit d9d0772abdbd50b27f5d393a4f67285ef88fcea4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 14:06:26 2019 -0400

    port to debian buster

commit 4d6533dede1bc1f7957d470f80e604aa56a20661
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 13:48:35 2019 -0400

    fix lintian warnings

commit f71ecb764fc4ef7a6ac7b19ca59160b90facdb3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:55:52 2019 -0400

    port to debian buster

commit 14c16c4ffab173f5d727c31344ce60e855a1afb1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:51:09 2019 -0400

    port to debian buster

commit 2dd8d1b523a9f13ba40beeaf64548afd6f503be6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:05:58 2019 -0400

    readme

commit 22c6a699b66d9b6198bd5103f2bd81a5215c1dd9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 10:11:01 2019 +0000

    bumped changelog version

commit 29d8f62290e72f6c828bdcb0d146ad85edbb62a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:20 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit 850020fad90936b9a5978021da3cbdb05783b29d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:44:39 2019 +0000

    bumped changelog version

commit 31f2f1b1eb8a9832564cfa5985e27930c37643f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:43 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit 7ab9da0bf6565c0ec5f7b51437f0c755add3349a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 23 13:25:32 2019 +0000

    bumped changelog version

commit ddae5dddb09e1194fac06701a73a21da02c34047
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 23 02:55:44 2019 -0500

    fix exit codes

commit 7dcbf0a3e48336a88739e7ca36f3c2cccdd2d27a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 18 02:45:48 2019 -0500

    make check_unwanted_packages skippable
    
    by running it from whonixcheck_run_function

commit 2f956d79f75fcc914e658e3dbdb1c375cd9ef154
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 11 10:16:28 2019 +0000

    bumped changelog version

commit c6353d4f03adb77000b42b2803030a2ca5fdd6af
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 11 10:15:47 2019 +0000

    output

commit 108a9df119e7c93d56124f1c4e6ecd25abcca7df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 11 10:14:18 2019 +0000

    output

commit 4d36735e32e99137ba4bb8be7ba6b5321c89e838
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 11 10:13:03 2019 +0000

    output

commit df75cf728bf5ad963800079698f9f7c57a59b298
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 11 09:50:48 2019 +0000

    output

commit fc03ea20da3c6aada63ca6fba400cd00b0488c80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 11 09:43:13 2019 +0000

    fix
    
    https://forums.whonix.org/t/whonix-error-script-bug/6814

commit ae7378456da94581cc79a629f693612a4faefa74
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 3 11:40:56 2019 +0000

    bumped changelog version

commit add429962dac37d2e776ab26adb8349c170655f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 2 08:29:03 2019 -0500

    /usr/lib/*-linux-gnu/security/** mr,

commit 3d06d0f27ee3fe824efefc2ea05020281dea7cd4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 2 08:27:48 2019 -0500

    minor

commit 5edd48edc4ba6df4f24d527fd51acde8f4b622d8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 2 08:25:13 2019 -0500

    fix, run check_network_interfaces before check_whonixsetup_done

commit 68633a54a565f51474779d568d5010a250b62096
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 14 10:02:59 2018 +0000

    bumped changelog version

commit c8f1c5fde62cb83913502bf80a4b04fc1ab2b1dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 12 20:58:45 2018 -0500

    show output of "journalctl -u whonix-firewall" in case of whonix-firewall error
    
    https://github.com/QubesOS/qubes-issues/issues/4603

commit 97829dab03e03ac4e6de3c1bde56a8d475ae0b69
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 9 23:13:51 2018 -0500

    comment

commit 91aa2c4ca99790ba2541d4ec4647efc5be07ff9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 17 06:19:47 2018 +0000

    bumped changelog version

commit cc62e7f1fcdb85452a861e6f376a52fc05902c5c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 17 06:18:31 2018 +0000

    apparmor fix

commit f01ab0af42cb4109012b4bd39508f57138a6dd77
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 17 05:20:28 2018 +0000

    bumped changelog version

commit 31f4fac568bc6f7021d166a4dc1c15809433dbbf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 17 00:15:12 2018 -0500

    apparmor fixes

commit 04aee97200a445de129c654ba7151f19c6079fe1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 17 00:01:07 2018 -0500

    output

commit d521fb59f60d5cccd3b0d7057632caf4dbe05e5b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 16 23:59:58 2018 -0500

    fix check_network_interfaces

commit b99f248358f58268657dc88e5053999d5b7a877d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 16 09:44:46 2018 +0000

    bumped changelog version

commit f854c976320a5f4e89101e7e830d0f72e79552f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 16 09:34:19 2018 +0000

    apparmor fix

commit 9587c58c103a01569353e83af20791a354f4e882
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 16 09:20:38 2018 +0000

    output

commit f7a0e166ab9bceead43474766cb7a28ed7f6496d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 16 09:16:30 2018 +0000

    output

commit 41251efb2ffcc3287313455d56f89c657c4d04cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 16 09:07:52 2018 +0000

    fix check_package_manager_running

commit 7c44d639c8abd0394884b71823ae96e4b8522ccc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 13 12:31:39 2018 +0000

    bumped changelog version

commit 7eec772015948573319e281da67b9b1ffb93e201
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 13 10:52:53 2018 +0000

    update meta packages installed check for Whonix XFCE and Whonix CLI

commit 2dcc1257f728639772f66f055134ea6ed960012c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 13 04:09:04 2018 -0500

    show "sudo apt-get-update-plus dist-upgrade" if available

commit 7f9d648909e790a8d188dda5f83622367fd432c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 13 04:07:17 2018 -0500

    refactoring

commit 512b5aa68706dfc6370fa692a3378a189ea3205c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 17 11:04:46 2018 +0000

    bumped changelog version

commit 26e7213884221d1342fa9d0b3a02937900d31303
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 17 11:04:18 2018 +0000

    fix check_meta_packages

commit db28a32eb24edd8e189af74d88f5e64cf14e8924
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 14 13:20:49 2018 +0000

    bumped changelog version

commit 174c66e533e0dce8cf4cfe686b777ae11e8b1ff8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 14 13:13:14 2018 +0000

    disable spectre meltdown test by default until fixed

commit 13498ac63455b5f177ca813111dd41522ba160a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 13 22:29:17 2018 +0000

    bumped changelog version

commit bf9a0556db5e32cc5522a440eae9479ed3fc7941
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 13 22:28:51 2018 +0000

    update package names

commit 99b2c40a0a0caa2da74c9cf832d6ea0bd16fc082
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 13 19:45:46 2018 +0000

    bumped changelog version

commit a3fe703a7fa1a5c4c0dc9975bf353cbd561aad3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 13 19:26:31 2018 +0000

    Qubes: run spectre meltdown check only in Qubes R4 and above
    
    https://github.com/QubesOS/qubes-issues/issues/4295

commit 117d108d2530822f65a96c03f8fbcce8f6caa891
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 10 07:37:51 2018 +0000

    bumped changelog version

commit c17c3ba79e43ba819d8bf6db1f609ef4799166f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 10 07:32:59 2018 +0000

    fix

commit bfa790918b4b9967b080c34f95d9504d839b3db3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 10 07:32:01 2018 +0000

    run check_spectre_meltdown by default

commit 0a052ac35917edb9644948b7f065b3223117fb58
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 10 06:30:00 2018 +0000

    spectre / meltdown check add if_you_know_what_you_are_doing_msg

commit 5873f4c3bb1665a6fb92224968805f561aca87e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 9 19:54:34 2018 +0000

            capability sys_module,
    
    required for ifconfig
    
    https://forums.whonix.org/t/whonix-apparmor-profiles-development-discussion/108/682

commit 4d65231b87b1dbc7827cd47c86f1f4d5476bcda2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 9 19:42:14 2018 +0000

    add spectre/meltdown test
    
    https://forums.whonix.org/t/whonix-vulerable-due-to-missing-processor-microcode-packages

commit b464e62eed1e2099da6882f7d8990338fc6627c7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 6 07:39:38 2018 +0000

    bumped changelog version

commit 3d89fb7c3eb42cb2a60c51f6ba40e0cd539a66e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 29 10:21:26 2018 -0400

    show Kernel Messages Test Result only when using --verbose
    
    to avoid the following non-actionable warning
    
    > WARNING: Check Kernel Messages Test Result: Remarkable kernel message found using dmesg.
    > clocksource: timekeeping watchdog on CPU0: Marking clocksource 'tsc' as unstable because the skew is too large:

commit de3518ea679ccf28d6cee702f40e70d9876509ea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 16:58:12 2018 +0000

    bumped changelog version

commit 3e3380ef668ce6dc3e8ebe7a69941b41000b948a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 24 09:49:22 2018 -0400

    output

commit 3b2629f4756cb96eb891ba50c2782fe60f2146e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 24 09:47:37 2018 -0400

    output

commit 587d1c16130ea6edfb5bc953c37256c9fc83093a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:18:43 2018 +0800

    readme

commit d35eefd929fc953bc38164d2a9762942390def45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 17 19:13:56 2018 +0000

    bumped changelog version

commit 0ff945f20b606422fdd1b3e0aea146249489ed75
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 10 18:39:09 2018 +0800

    sudoers.d asterix hardening
    
    https://github.com/QubesOS/qubes-issues/issues/2852

commit 6faec5cbcf29cb24e7f92d06fac13ea7d0cf5599
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 9 05:17:01 2018 +0000

    bumped changelog version

commit 8f24317b0d357b812c806fb60cff2a1a29926716
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 6 11:22:54 2018 +0000

    formatting

commit 148a3445e991babcdf2e51b2471516d2a2330ded
Merge: b5f59b6 1bb377b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 6 11:21:59 2018 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 1bb377bca29cdaa9af8745f8ae9ade42a4b879c9
Author: troubadoour <user@host.localdomain>
Date:   Fri Jul 6 08:53:24 2018 +0000

    cleaning after merge, comment out signal rtmin, add /bin/readlink rix,

commit b7436bc55d58c0e47bada4e7ba0b96a13b936897
Merge: 45924a3 b5f59b6
Author: troubadoour <user@host.localdomain>
Date:   Fri Jul 6 08:24:17 2018 +0000

    Merge remote-tracking branch 'whonix/master'

commit b5f59b6bd593f0d7977f73bd03f220145136505f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 6 06:58:45 2018 +0000

    bumped changelog version

commit cd8dc3f4a97f7ffd9849c54e146dea56e6c8bc1f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 6 06:29:24 2018 +0000

    formatting

commit 006d8b4f5a8b65494738c48c38deb5d77c9b2157
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 22 02:27:03 2018 +0000

    bumped changelog version

commit e9a70f18eccc8671235c8f9766b9611d50af442f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 22 09:57:31 2018 +0800

    apparmor /usr/lib/uwtexec rix
    
    https://github.com/Whonix/uwt/pull/6
    
    https://phabricator.whonix.org/T797

commit aa3c3707fac2e252a40239288aa48c1313cd5c0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 16:36:42 2018 +0000

    bumped changelog version

commit 8e625996e48b7a6c44169e5cae4da79adf2587b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 16:35:30 2018 +0000

    output

commit 3462a8802c4a09042ac67852a53a1913d836a5a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 15:08:19 2018 +0000

    bumped changelog version

commit 6e0cba6e76a6a1d3c01badfbb37ae2e94e74ed99
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 15:07:10 2018 +0000

    output

commit bbe8cf0509de5cd05cc5a145c4a934c3e8f86390
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 12:54:53 2018 +0000

    bumped changelog version

commit 9e57a4a7c66355338e2d700e314e3b18d44d99f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 12:42:57 2018 +0000

    output

commit 6c0ecdd3e8a067e91a0d962a4c061345b7fb1ff2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 12:39:25 2018 +0000

    minor

commit 190b4356a5955a5a4c4080b7ad8161ede868d645
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 12:29:13 2018 +0000

    fix
    
    https://github.com/Whonix/whonixcheck/pull/8

commit c0cd66fd9f6491d896e78dad8c9ba5faca9baaf4
Merge: 327a228 62c77c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 12:27:55 2018 +0000

    Merge remote-tracking branch 'irykoon/master'

commit 62c77c1e4a7695410e3ea6d5a9bb587622fd7c42
Author: irykoon <irykoon@gmail.com>
Date:   Mon Mar 19 03:54:14 2018 +0000

    Update output log

commit 298c4a1e09bb4d8d50956939d9eb5d210d5c7817
Author: irykoon <irykoon@gmail.com>
Date:   Mon Mar 19 03:30:12 2018 +0000

    Improve tor --verify-config report
    
    Whonix starts Tor using systemd with this command: /usr/bin/tor --defaults-torrc /usr/share/tor/tor-service-defaults-torrc -f /etc/tor/torrc --RunAsDaemon 0 Therefor, it is important to verify if Tor can work under exactly those parameters.
    
    Tor report may be huge, making users feel overwhlemed. Therefore, we introduce Tor concise report which only contains complains with [warn] or [err] tags.
    
    This commit introduces a new bug that should be fixed:
    
    /usr/lib/whonixcheck/cleanup.bsh: line 215: cd: ..: Permission denied
    [ERROR] [whonixcheck] -------------------------------------------------------------------------------
    -- whonixcheck script bug.
    -- No panic. Nothing is broken. Just some rare condition has been hit.
    -- Try again later. There is likely a solution for this problem.
    -- Please see Whonix News, Whonix Blog and Whonix User Help Forum.
    -- Please report this bug!
    --
    -- who_ami: user
    -- identifier:
    -- exit_code: 1
    -- error_cause: error_handler signal ERR detected with BASH_COMMAND:
    cd ..
    --
    -- Experts only:
    -- bash -x whonixcheck --verbose
    -- for verbose output. Clean the output and report to Whonix developers.
    -------------------------------------------------------------------------
    whonixcheck: Error detected. Cleaning up... Exiting...
    whonixcheck: signal ERR received. Cleaning up... Exiting...

commit 327a228b82d4aa60ff4afde1e1ebdf0c6efee9db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 27 15:02:30 2018 +0000

    bumped changelog version

commit 82424903f6793a380e872b2c6b3b0f763462c4bc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 27 14:58:03 2018 +0000

    output

commit ba39d57232b88193e0a481e44c1e43d23d41a4c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 27 14:57:02 2018 +0000

    output

commit 88a97dcb412bdfa825c82cd4b6ae99577275906e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 27 14:53:00 2018 +0000

    fix; output

commit d6b6418cdebce33a6d5b55dd86cdcb47adf3b79f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 27 14:50:01 2018 +0000

    output

commit 9a8f586e19639347d0444ad86c73d769109e2088
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 27 14:45:48 2018 +0000

    output

commit 8ef45991e717d6a635a1e9845cea061944ba1a8f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 21 20:58:41 2018 +0000

    bumped changelog version

commit 90209d68f8297b83c7a05e82d23051e7ace00863
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 21 20:39:16 2018 +0000

    code simplification

commit 5845a3f35f4e93ddcf9986e16e82284ca848e91b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 21 20:34:09 2018 +0000

    run Whonix census in daemon mode

commit 1b9ef87b29546e929185dbce9403a0d86d31955e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 21 20:13:45 2018 +0000

    Whonix census

commit 210d47232142243214f5b2ef2e7f7a32673ff3c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 21 18:51:27 2018 +0000

    enable Whonix census

commit 0776288fb5fa027998fb4a187e10881389582ded
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 21 18:47:08 2018 +0000

    fix Whonix census

commit e4a90933098d0fff119d4231a13047ea3003cf46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 21 15:46:18 2018 +0000

    bumped changelog version

commit 45924a3f7e32d31fb39b0c43ebd0c1caa6d67860
Author: troubadoour <trobador@riseup.net>
Date:   Tue Feb 20 21:09:14 2018 +0000

    add signal rule

commit 7003b53d62db6273230e64e39a6834abeb7a76a2
Author: troubadoour <trobador@riseup.net>
Date:   Tue Feb 20 20:56:06 2018 +0000

    add ptrace rules

commit a08eae0f7d1bb7cc033f441f9424585bbf7c8fa0
Merge: 37711c9 4c2be93
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 20 14:23:14 2018 +0100

    Merge remote-tracking branch 'troubadoour/master'

commit 4c2be936a02b1d49480fcd21601b6b9fbe5cd7f9
Author: troubadoour <trobador@riseup.net>
Date:   Mon Feb 19 17:43:20 2018 +0000

    + signal (send)

commit 37711c9441e925289389d87458188614b8ca0470
Merge: 8865e9e b0c710b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 18 23:19:34 2018 +0100

    Merge remote-tracking branch 'troubadoour/master'

commit b0c710b074e76cd86974b00c8278d6546eb010d8
Author: troubadoour <trobador@riseup.net>
Date:   Sun Feb 18 19:45:28 2018 +0000

    allow real time signals

commit 8865e9e2b75fdcefe0dd3bebd0e9d5cc06b10e3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 18 14:07:57 2018 +0000

    bumped changelog version

commit b8d884810e4095b6ee77d81ecf28f4f96f3103f0
Merge: eefeff6 a10d7ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 18 14:38:52 2018 +0100

    Merge remote-tracking branch 'troubadoour/master'

commit a10d7ecf4f558f58e1c224a984b640e2f9b4ab82
Author: troubadoour <trobador@riseup.net>
Date:   Sat Feb 17 19:22:17 2018 +0000

    open ptrace and signal

commit eefeff6d9f83e996b8210a43adba3bf5327b243a
Merge: 7fc49eb 26e5a88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 11 20:14:04 2018 +0100

    Merge remote-tracking branch 'troubadoour/master'

commit 26e5a88b3118d3f17491bf96f16c17eb72c11457
Author: troubadoour <trobador@riseup.net>
Date:   Sun Feb 11 16:49:50 2018 +0000

    allow all signals

commit b714257e39003f84fa95a3d68a3668592fbdbb55
Author: troubadoour <trobador@riseup.net>
Date:   Sun Feb 11 15:59:44 2018 +0000

    fix ptrace denied message

commit 7fc49eb5cf4b82e9a2d0c99c29c26bc04159572f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 13:53:19 2018 +0000

    bumped changelog version

commit 78b09f1eb4c30a068b58bfb76212c80b3b0b4c98
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 7 01:05:24 2018 +0100

    fix KVM unsupported virtualizer false positive
    
    https://forums.whonix.org/t/whonix-virtualbox-14-0-0-6-6-testers-wanted/4802/2
    
    Thanks to @HulaHoopWhonix for the bug report!

commit 0679c3dd6e11a28370adabbe206afd3bf989dcf9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 21:58:03 2018 +0000

    bumped changelog version

commit 37b2dc8484e2f97718f62ca6a23d4ea28f62e3df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 21:37:33 2018 +0000

    .torrc -> .conf

commit 4e7c9b6be73988846246c137d5eb19af63136784
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 18:03:25 2018 +0000

    bumped changelog version

commit b89b887672bc351c8647ecd47dbf96dbe39b2cb1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 17:00:49 2018 +0000

    comment

commit 2266989b9bc04bd0029040ba19db966a26ec884a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 17:00:24 2018 +0000

    sudoers

commit ab1a69916b49bbdaf8096a14573512951af0fa1f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 16:43:34 2018 +0000

    debugging

commit 26d7bc6a0493668123407d888f7f725c63cc27e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 16:42:23 2018 +0000

    handle tor_circuit_established_check_exit_code=277; comments

commit b5980719ab7ad85acf0954296913d3adea158e1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 16:37:00 2018 +0000

    refactoring

commit 75e3734136d01203f66cce8c5a3adeb44cb19539
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 16:24:53 2018 +0000

    Do not enforce running whonixsetup unless run on Whonix-Gateway.

commit a230865b32cd35331907f90ffebec8c906c473d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:29:53 2018 +0000

    bumped changelog version

commit e7e9ce9a6391c23696afbf60fb54d61e719517f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 16:08:30 2018 +0000

    disable check_systemd_clock
    
    https://github.com/QubesOS/qubes-issues/issues/3469

commit a1e9249052fc1540a3160dbed22982a01d438e5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:41 2018 +0000

    readme

commit e427519c2cf880fe80c0fb4d79ef84bd6d55679c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:39:03 2018 +0000

    update copyright

commit dfb6b6147bdb85f3aace1b9dcf34ec17de4c5532
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:22:11 2018 +0000

    update copyright

commit 84f8bcb9055e5e391bceaf3bbd9667412143f8c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:23 2018 +0000

    update copyright

commit 49c055278d8f91e3bf240cdfda37c046ccd1a4b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:48 2018 +0000

    update copyright

commit e6e4941416935d0d99be7b2dac788d753798f7f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:43:50 2018 +0000

    bumped changelog version

commit 24b4866db14caee951492734a4dd6dcca709b947
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:43:05 2018 +0000

    move to v3 onion

commit 4b03979cb101441831d5550321886840cb11301d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 18 17:32:49 2018 +0000

    bumped changelog version

commit 084fa2993e0cd01d561655ac22f87693ba6dad81
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 22:56:40 2018 +0000

    fix

commit a0fb4b9c222f4b7b9baeb4a0058348683088ed4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 22:51:55 2018 +0000

    torrc.d

commit b0d787e54af033655b31da1bf8fc410c26187f06
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 19:57:52 2018 +0100

    comment

commit 6cdacd3f912d06be44c35d147028a3ed53f34112
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 20:12:11 2018 +0000

    bumped changelog version

commit c3810150c38a089e3cea6e6da0051b0e48e53a05
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 18:34:06 2018 +0000

    fix, no write access for torrc.d

commit 842e2ba71422ab620f13e037043f18ae1707ed39
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 6 18:08:06 2018 +0000

    bumped changelog version

commit 0ec4bd6c66ac0b27cac789bdff8cbcd5dd773237
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 6 17:52:35 2018 +0000

    use if_you_know_what_you_are_doing_msg consistently

commit 6a9af05e26fd9c87c44f26f39a78dd1b086f1784
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 6 15:36:43 2018 +0000

    output

commit 16ced2e4c0b769f96d9a09d4aaa882da6041eb40
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 6 15:35:40 2018 +0000

    comment

commit 50684ae8757eb33162da8cd86e193d0df34e94c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 4 20:51:48 2018 +0000

    bumped changelog version

commit 9c5fbcc82ad1089c5961693aae83d1e16c8a18b1
Merge: 3cf1b21 1a96d45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 4 20:42:39 2018 +0100

    Merge remote-tracking branch 'troubadoour/master'

commit 1a96d450923817c1bef67bbea6869a5f273f7dbf
Author: troubadoour <trobador@riseup.net>
Date:   Wed Jan 3 21:11:54 2018 +0000

    apparmor remove /etc r,

commit 3cf1b210fbbaddd0d875e66a26cf366263ba89e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 2 15:06:37 2018 +0000

    bumped changelog version

commit bd10676271e61df5c628f2136e1d4e4a07135ddc
Merge: 2e76c47 fb650ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 2 10:07:44 2018 +0100

    Merge remote-tracking branch 'troubadoour/master'

commit fb650ee096bf91aafdff994f20c39ae8a007b890
Author: troubadoour <trobador@riseup.net>
Date:   Mon Jan 1 19:27:59 2018 +0000

    add lines for /etc/torrc.d

commit 2e76c476fd77c8ecfac763f9f3118749bda45e96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 29 19:27:23 2017 +0000

    bumped changelog version

commit 7f857b7af59f05282cdefedeac844ab625d2f167
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 29 19:26:19 2017 +0000

    /etc/whonix_version r,

commit b774a19415461c00cfec39ec001f40c894922e08
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 16 23:36:11 2017 +0000

    bumped changelog version

commit 137ce9b16c4f62a73f34f0a440873642e184a3ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 16 22:49:04 2017 +0000

    fix, set back timeout for leak tests from 1 to 180
    
    (was a leftover from testing)

commit 144c04d03554b21c50b0553049ec92e6441bb509
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 16 21:49:22 2017 +0000

    bumped changelog version

commit e54b3ab221865a3c813a0aa25eb3e01b9fc2b9b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 16 21:49:02 2017 +0000

    remove non-ASCII character

commit 3de9a9de9c8cda2d2876ae7ef6945e6bece89c17
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 15 18:43:45 2017 +0000

    bumped changelog version

commit 58c66f5700f0e90301a9e4d6042f573371671edd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 4 10:09:04 2017 +0000

    Whonix 14 changes:
    
    Non-Qubes-Whonix:
    - no longer autostart whonixcheck on Whonix-Workstation (changed in Whonix 14)
    - only autostart whonixcheck in `autostart mode` on Whonix-Gateway (to only show the connected to Tor passive popup or active popup on failure) (changed in Whonix 14)
    - by default, exit whonixcheck in daemon mode (do not auto run in randomized regular periods) (these popups interrupted whatever the user was doing, confusing them, click away) (changed in Whonix 14)
    
    Qubes-Whonix
    - no longer autostart whonixcheck on Whonix-Workstation (was already that way in Whonix 13)
    - only autostart whonixcheck in `autostart mode` on Whonix-Gateway (to only show the connected to Tor passive popup or active popup on failure)  (was already that way in Whonix 13)
    - by default, exit whonixcheck in daemon mode (do not auto run in randomized regular periods) (these popups interrupted whatever the user was doing, confusing them, click away) (was already that way in Whonix 13)

commit 22e19e975fb12566504720a81ef1f106be76d62c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 2 19:50:29 2017 +0000

    fix whonixcheck whonix-firewall check race condition
    
    https://phabricator.whonix.org/T675

commit 708534df6ac9cd76c00b4d0c5ece0ef785e43686
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 1 01:37:39 2017 +0000

    add systemd-detect-virt

commit fb439f8a8a068cc47fc3462dab603e8f8172c46c
Merge: c9b23b2 8bdc9cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 1 00:06:54 2017 +0100

    Merge remote-tracking branch 'origin/master'

commit 8bdc9cb66dac1a3b92b55a0205778960c7daea3b
Merge: c9b23b2 0dd257c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 30 21:38:18 2017 +0100

    Merge pull request #7 from Algernon-01/master
    
    Patches for Whonix live

commit 0dd257cbb25ad8f43a9720a33864d99c9a873368
Author: user <33966997+Algernon-01@users.noreply.github.com>
Date:   Mon Nov 27 15:30:44 2017 -0500

    Patches for Whonix live

commit c9b23b2fcb6c5c2d740728a10c24afc37615480b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 21 22:56:59 2017 +0000

    bumped changelog version

commit 967bea77f61c03f0b2d52cd446cedc6c0cca7e27
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 24 23:17:55 2017 +0200

    fix

commit ac614c35717fb3450b6415b3010396d1549ab7d7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 24 23:12:06 2017 +0200

    add leak test for Qubes Updates Proxy
    
    (no leak tests are run by default, requires adding --leak-tests (--show-ips))
    
    leak test code refactoring
    
    deprecated configuration values:
    - WHONIXCHECK_DISABLE_SOCKS_PORT_TEST
    - WHONIXCHECK_NO_EXIT_ON_TRANS_PORT_DETECTION_FAILURE
    - WHONIXCHECK_DISABLE_TRANS_PORT_TEST
    
    output
    
    https://phabricator.whonix.org/T724

commit e7bf9224c82d2fe675a2026fb8cb26f76321419d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 20 15:04:06 2017 +0000

    skip Qubes network interface test in Qubes TemplateVMs
    
    since no longer networked by default in Qubes R4

commit 084522a5a1e39ed854c7c92ee86593c011491eb8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:41:52 2017 +0000

    bumped changelog version

commit 3da614e8a02e3606de93618bea3f32075aa354c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 27 20:37:18 2017 +0000

    Whonix census
    
    https://phabricator.whonix.org/T689

commit 45bc01bc4f4d2cc27a2ae2a0bf637487bbbd4679
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 23 11:21:40 2017 +0200

    Revert "reenable whonix news"
    
    This reverts commit ba54e4498d455bc047621482d71bdd94b508fbb4.

commit ba54e4498d455bc047621482d71bdd94b508fbb4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 7 14:20:28 2017 +0000

    reenable whonix news

commit e5664a542e7f148fc9ea30050c56f9ea81706a07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 12 13:18:27 2017 +0200

    After=whonix-firewall-sdwdate-watcher.service

commit 4fb8a71a012c0978419efd1e7955a91468f68cad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 03:16:22 2017 +0200

    control-port-filter-python -> onion-grater

commit 05205385a9a2c07554a2801fc74a78cf60ea91a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 28 21:40:35 2017 +0000

    show Whonix versions in verbose mode

commit 736c1d59bf9cde5361c27827eb79d5742aa8096e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 28 21:38:52 2017 +0000

    fix

commit df497c1892fcec2eab9f69f2e7509f4966a60f37
Merge: 37ac2d6 5e1a1cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 16 13:32:56 2017 +0100

    Merge remote-tracking branch 'origin/master'

commit 5e1a1cfb105f5615bbd93a3cc4842c39a4ff4cdc
Merge: 37ac2d6 15e5767
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 16 13:04:49 2017 +0100

    Merge pull request #6 from HulaHoopWhonix/patch-3
    
    Update 30_whonixcheck_default.conf

commit 15e5767d88d28cd82ad87cae732bcf76eee77c98
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Mar 15 17:18:17 2017 +0000

    Update 30_whonixcheck_default.conf

commit 37ac2d6b1b22aa27b77449702e27546c3e62409c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 20:07:51 2017 +0000

    bumped changelog version

commit 778ae1bb2789631a4b2838fa4e58a7f4f9184c08
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 19:56:32 2017 +0000

    output

commit 53a82da768cfd8f32f2a3da208d72f7d41dd2f71
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 19:56:02 2017 +0000

    typo

commit ae815ae796d7a07b81c473306a2ad8a063f1f703
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 16:19:06 2017 +0000

    bumped changelog version

commit 7cf8cef070400b74d40858b0fc4ea5b90e6cfc18
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 15:24:27 2017 +0000

    output

commit 69ecc14eb6766cfeb81e1c4e636e4a70e653de87
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 14:50:17 2017 +0000

    "$@"

commit 5ce03b5b277ca91548f34521a944eb54d78be791
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 02:05:20 2017 +0000

    bumped changelog version

commit 53324715168b6eb425c0afc9f925169c46761369
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 25 03:35:05 2017 +0000

    cleanup

commit 1d5f3989b38cb28f3cb987ea2e02c7caa5e26be1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 23 02:49:47 2017 +0000

    minor

commit 8f7161e141be79acb29ac027438640e3483e1779
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 23 02:44:04 2017 +0000

    add Tor Connection and Time Synchronization Status results in --verbose mode

commit 30adceb9d7024e25a4dfae5d421f26a20a906b85
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 23 01:42:22 2017 +0000

    cleanup

commit da44fbbf24b092a749afddb6c415d514c78676d0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 23 01:39:49 2017 +0000

    Tor bootstrap test fix: timeout no longer gets confused by sdwdate clock jumps

commit 5940732eef48d959f3a376e8ddd75ade99403b9e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 22:25:33 2017 +0000

    use systemctl --no-pager to prevent blocking due to systemctl interactivity
    
    https://phabricator.whonix.org/T637

commit 004ed26ce9d382f01e5696998098795b7f99ec3b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:13:39 2017 +0000

    bumped changelog version

commit 5c8bf9be88f9951d2263b23aa82818935aa3f733
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 15 23:22:08 2017 +0000

    when Whonix firewall has been reload, continue after Tor bootstrap test
    
    even if time synchronization status is still pending

commit 388918a64cbe2f8af1e149f7f96baa95feab297a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 15 22:47:42 2017 +0000

    gracefully handle cases where Tor is restarted during Tor bootstrap test
    
    no longer exit with error message "Tor's Control Port could not be reached."
    try a few 5 times, wait 2 seconds between attempts

commit e5397769e3869b70f11b26c66dacc3c042cd96db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 15 21:36:07 2017 +0000

    After=tor-controlport-filter.service
    
    because it checks tor-controlport-filter

commit d841780eedf7376d6f6c8a0efdc64094f5ae577c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 18:00:44 2017 +0000

    minor

commit 54d6a583d0178f80157bf1e573d618bae242a4a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 17:59:23 2017 +0000

    Debian stretch apparmor fixes

commit 2ce1bfd3b68c1b5a292adcf280f972e17ff54215
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 11 07:10:12 2017 +0100

    whonixcheck_unwanted_package+=" kdeconnect "
    
    https://forums.whonix.org/t/kdeconnectd-removal

commit b9b8236bdedad9f920ff895c9e479a0ed730233f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:52 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit 60b808844adda8e6d42e7c0a877a75c4ffc86f12
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:26 2017 +0000

    remove debian/gain-root-command workaround

commit 005700d8aadead75238154bc4604a8500cfe491a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:26:42 2017 +0000

    packaging simplification ruby-ronn (>= 0.7.3) -> ruby-ronn

commit 5fefb4f5d6093e28bc7d0fe4258eb851c1f41d60
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 8 13:39:04 2017 +0000

    read -r

commit 1a7adc786385523d23629163def5a1e36b7d719b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 8 14:18:52 2017 +0100

    add timeout to apt-get update check if there was a timeout

commit ab2402bd07df0d686beeb19187ddb7821576ff48
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 18:01:20 2017 +0000

    bumped changelog version

commit 1043fdd08f9164d4129d2d48db7bdf4bc263aa22
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 17:23:57 2017 +0000

    After=tor@default.service

commit 9e533bfb95c1d2bad96466b6a3d4302a5d58007c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 02:10:20 2017 +0000

    bumped changelog version

commit 831d0c965942f5e66d24b4a2566722fdfa1f218d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 31 15:18:27 2017 +0100

    /usr/share/dpkg/** r, for stretch

commit 5ebcd658f67d591eb981c15f8550bfae73424183
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 25 12:30:07 2017 +0000

    whonixcheck_expected_nonfree_package remove firmware-linux and firmware-linux-nonfree
    
    since these can and should be removed in Qubes-Whonix for upgraded VMs

commit 5811516689509d46f4b81c02bc1b0336fd4f1192
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 25 12:29:28 2017 +0000

    whonixcheck_expected_nonfree_package add onionshare and torbrowser-launcher

commit 540ed9a9daa9a2e9fdc59255df9128cec9d8befd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:34:26 2017 +0000

    bumped changelog version

commit fb5f6879460f7ffd043e6722b6ac0bfb9031d068
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:20:44 2017 +0000

    fix, After=whonix-firewall.service

commit ad54de22028ce5b6bd21568f55511dd6c64bf285
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:20:15 2017 +0000

    After=whonixcheck.service

commit 0b71a85c66cd2a217a2a776da5ed888e16483dc5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 10:00:10 2017 +0000

    port whonixcheck check_tor_socks_port_reachability.bsh to using Tor unix domain socket socks file
    
    https://phabricator.whonix.org/T548

commit c6b0d140656850a3e66728874873ce56fb7ae812
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:37:49 2017 +0000

    bumped changelog version

commit 57fa0045193bb8fbda1492bab5e12594a89f3b46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 07:47:25 2017 +0000

    use --home /nonexistent to fix lintian warning

commit c27c40a03aaa6dd6fee31c43b709ce14f6057a06
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:44 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit 1d482706ea7cb192562b417d77c2a6a5b6ba0d25
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 04:18:19 2017 +0000

    apparmor 'sudo umount /proc/xen' compatibility  fix
    
    https://forums.whonix.org/t/tor-browser-sandbox-linux-alpha-coming-soon

commit fa0bf91b84ca65772cdc7ede7362fd9b83e05692
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 02:58:20 2017 +0000

    bumped changelog version

commit af5c3a285b8b3cabf109bf9d3c91cc332c23b040
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 9 05:22:09 2017 +0000

    update patrick.asc (fix, new rather than old key)

commit eb5b753478b6913ef195785862ae0e9b40b7116c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 7 22:08:37 2017 +0000

    update patrick.asc (more signatures only)

commit dc4d628c71526ea47a9b3922e7b01d7fc35198de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 25 01:37:09 2016 +0000

    update paths to apt-get-update / apt-get-wrapper

commit 2335c417b427a7ea8c316667684227b3da189a73
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 25 01:30:22 2016 +0000

    moved apt-get update and apt-get-wrapper to security-misc package

commit 6f2bbabb84b11b61b0e583c5f0bc96e2b8d4c437
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 25 01:23:46 2016 +0000

    use /usr/lib/anon-shared-helper-scripts/apt-get-update-simulate
    
    instead of directly using apt-get --simulate dist-upgrade
    
    to get timeout protection

commit fec797e26e966785178fb481dfb1290c84f6e137
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 25 01:19:28 2016 +0000

    usr/lib/apt-get-update: preventing hanging due to timeout

commit db2a2279d2ec9ba70a60588b49aad6ae7e93ec9b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 16 16:19:08 2016 +0000

    bumped changelog version

commit d2a3327af0636d1fb3a98024c65f3632633296da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 14 19:30:29 2016 +0000

    sudoers fixes

commit 5c1dbfaacd292cb7d2282f4092a79c015d6c5837
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 14 19:12:54 2016 +0000

    typo

commit 9f5b4bc21b46d478a373ffd251ad1620b0bb95a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 14 19:12:19 2016 +0000

    fix sudoers for running whonixcheck under user 'whonixcheck'

commit 57ab6f99d826f6567a7e02cadb02c4b6e87e7642
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 04:20:37 2016 +0000

    fix path to /usr/sbin/service

commit 5d0bb784f787754cd7b316b681e17ce46b9aa904
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:37:20 2016 +0000

    bumped changelog version

commit bb0a463f2fab96d94aa464d0ac335d8e8353ae64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 22:59:30 2016 +0000

    adjust for tor-controlport-filter
    
    https://phabricator.whonix.org/T573

commit 62d8e9e7b115702164db1b9af86efca889aa6a06
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 22:55:48 2016 +0000

    adjust sudoers for tor-controlport-filter
    
    https://phabricator.whonix.org/T573

commit cebcdcb3c4441c0beb7edee8ba02698cd1b706d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 22:53:21 2016 +0000

    adjust for tor-controlport-filter
    
    https://phabricator.whonix.org/T573

commit 8e2c4cc8af93d96eae014d90ec27376612e5cfcc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 23 07:04:35 2016 +0100

    comment

commit 9fd7481d43bacb3e15f1cd8e7cdd13e1151696e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 23 07:02:06 2016 +0100

    comment

commit 0b1f1fb6034dc8aae2f8691e857bc7eb6d7e27ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 23 06:59:52 2016 +0100

    add capability syslog to apparmor profile for Debian stretch support

commit b18cdc06f92e5391ae0742f3eb75b0ab41878a57
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 23 06:55:16 2016 +0100

    run dmesg as root for Debian stretch compatibility

commit 8428af2affe157cf89fcd360de5da41a614cd08a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 23 06:51:49 2016 +0100

    work on Debian stretch compatibility

commit 163bdd7696ef9269538aac09316d6df900ffa382
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:43:47 2016 +0000

    readme

commit af4865aa23b7f61f8d38983647200c81a48c7430
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 30 21:04:55 2016 +0100

    fix lastrun check race condition bug
    
    Thanks to hologone for the bug report!
    
    https://forums.whonix.org/t/whonixcheck-error-script-bug

commit e628438a79eff94b6d51ba64e8f01d5c793e4bd4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 17 00:01:14 2016 +0200

    update Whonix news link

commit 71b96f69a6d9bed231deb4957eab70e326f5e448
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 13 18:43:00 2016 +0000

    Fix /var/lib/tor AppArmor permission issue.
    
    Thanks to Temple for the bug report!
    
    https://forums.whonix.org/t/gateway-tor-problem-latest-update

commit 2730ebb073d3b2c4afeb04761a58888704726c88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 10 21:41:54 2016 +0000

    only show nonfree packages when using --verbose
    
    https://forums.whonix.org/t/nonfree-packages-found-with-virtualbox

commit bc5a004c1bea5d1d019000e0fa0bdfec7887a386
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 10 23:39:38 2016 +0200

    minor

commit b20d35df8739f96dd44adce056e775ba03d749e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 10 15:15:30 2016 +0000

    sudoers

commit 3f1d6ad2855de2a13c8b385b45ddbc14bc1d7fc1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 10 15:12:51 2016 +0000

    no longer check /var/run/control-port-filter-python/pid
    
    use /bin/service

commit 33c6e783c5e5cdcbfd72e721179e5eec02858665
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 04:12:50 2016 +0000

    fix

commit c7ce11224b3f4b8ddf99756021677159dc6e2dd8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 04:02:59 2016 +0000

    fix

commit 8bd65d52522439e92a2e115e83400a220ce50710
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 04:00:29 2016 +0000

    more ip test command line parameter aliases

commit b8798772aa93d0524db86fd0844173301e2f6212
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 9 14:00:00 2016 +0000

    fix, also skip stream isolation test if not using --leak-tests

commit 726165e67f008596a1ec77d21c2fc6e3c35c7887
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 9 13:13:48 2016 +0000

    /sys/fs/cgroup/systemd/system.slice/whonix-firewall.service/** r,

commit 6044bbcdd8fa6ac9067fc824077338f64ea2d027
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 5 21:46:29 2016 +0200

    whonixcheck_expected_nonfree_package+=
    
    https://forums.whonix.org/t/nonfree-packages-found-with-virtualbox

commit c5a5fa621264f5c5fab1a5dde9a64b2ed045c1e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 4 22:12:26 2016 +0200

    output

commit 4ea33cad15889dc1c349fbba4a43e525476d9e7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 4 22:10:39 2016 +0200

    fix

commit e2d14f532f31bf2380b819e3bbfb67eaf4ce98b3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 4 22:08:28 2016 +0200

    recommend clock-random-manual-gui rather than manually setting randomizing the clock
    
    in sdwdate permanent failure cases (ddos against enough time providers)
    
    https://phabricator.whonix.org/T533

commit 7ab9126eb76e5ee6fc78971d1e96e40cc5265994
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 29 21:39:49 2016 +0000

    - separate whonixcheck help message when Tor bootstrap succeeded but timesync failed
    - avoid too technical word "bootstrap"
    - output
    - comments
    
    https://phabricator.whonix.org/T533

commit a6c043c85548d82e232e0c2e0fe1f909305790c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 26 21:37:23 2016 +0000

    add sdwdate status to whonixcheck Tor bootstrap test output
    
    https://phabricator.whonix.org/T533

commit 71930e80882bc8d62afe674b4a1108aa60946afb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 26 02:26:27 2016 +0000

    silent="3" by default everywhere for daemon and autostart mode

commit e020f2a10a6cb95b73f59b1c0c5f8d690c1d18ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 26 02:20:50 2016 +0000

    improve whonixcheck --verbose output for Tor config check

commit 17fe54c31cee0f4086bf8c7ed5954584d3321985
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 23:00:50 2016 +0200

    improve whonixcheck --verbose output for Tor enabled check when running in TemplateVM

commit c8b24f4a9d2cef98e300256d96f00e3a90a37038
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 22:54:01 2016 +0200

    fix

commit fe0d242d27f878e2d4ff39a0c5903c1383b1a031
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 18:54:12 2016 +0000

    output, Template-Based -> TemplateBased

commit c9bd62cab8eca9cb4f37d8c41a06601fd9d2e938
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 18:50:35 2016 +0000

    skip Tor bootstrap and Tor socks port reachability test in Qubes TemplateVM

commit 31f812a9a9bc6364ba8f23644a54178cdc528561
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 17:04:14 2016 +0000

    fix, only run Tor data folder permission test if we actually have a Tor consensus file

commit 143b26bf5cf112486ab276393eb28c634aab5e18
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 16:52:19 2016 +0000

    reenable exit whonixcheck on Tor bootstrap test failure
    
    https://phabricator.whonix.org/T533

commit 95fc9e7a589c8601ddfe2ac5c10fe7fd9136a2cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 16:49:38 2016 +0000

    skip anondate test in Qubes TempalteVM since Tor does not run there

commit 18f694d14bb03adafc305822c4ad40a12c31fac7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 16:46:08 2016 +0000

    add timesync status to cli output
    
    code simplification
    
    https://phabricator.whonix.org/T533

commit 992edf4a227c4f1df6a254755cd7b3c5cadbbdfd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 16:30:46 2016 +0000

    sudo --non-interactive
    
    https://phabricator.whonix.org/T549

commit 44f777e24982c337ec64dcaede9a60d59a047053
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 16:03:33 2016 +0000

    compatibility with msgcollector when running under different user account
    
    https://phabricator.whonix.org/T533

commit b04205463492e9da67a851a085597154d7d871fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 01:26:03 2016 +0000

    add user whonixcheck to group debian-tor for Tor bootstrap test
    
    https://phabricator.whonix.org/T533

commit 0fcc4947ef9d32850f750ab85c69b20ec50ce585
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 01:25:46 2016 +0000

    fix

commit 2c95286b1b35c287038f470671a816d92fe4c453
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 01:08:43 2016 +0000

    fix sudoers permissions for running as user whonixcheck
    
    https://phabricator.whonix.org/T533

commit fcbe5f1605d436b09fe192c1e80f16d639a161dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 00:54:08 2016 +0000

    fix

commit 8761c697a21b481e84d5bda67f403ceba91b3710
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 00:52:14 2016 +0000

    fix

commit 49c84b3b43078593a6e32959ccef1230d08a0920
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 24 23:47:05 2016 +0000

    run whonixcheck under user 'whonixcheck'
    
    so it can run Tor bootstrap test even if Whonix firewall is in restricted mode
    
    https://phabricator.whonix.org/T533

commit cdb5408d941fee0bea03aa2b5e2ea5b3236a542b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 24 23:21:13 2016 +0000

    usr/bin/whonixcheck -> usr/lib/whonixcheck/whonixcheck
    
    so /usr/bin/whonixcheck wrapper can be added that will run whonixcheck under
    user 'whonixcheck'
    
    https://phabricator.whonix.org/T533

commit d351e44222dd857d159f0c215d1091bffa057a82
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 24 21:48:28 2016 +0000

    minor formatting

commit 1bc4ba9674af5df773faf296bf6ded536f8d0e33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 24 19:44:21 2016 +0000

    also wait for sdwdate to succeed until Tor bootstrapping is considered done
    
    refactoring Tor bootstrapping code
    
    https://phabricator.whonix.org/T533

commit 9dfb76cd843c346b1583bcfc7407646596bb92fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 23 18:33:04 2016 +0000

    improve check_tor_socks_port_reachability output on gateway

commit 5e50b5f1f002ca917ad0ea324f3cf77ecc4a5052
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 22 22:52:44 2016 +0000

    no longer use tor_bootstrap_status on the workstation

commit 87730c72502c7f6fa4648318ddb76e2af4d2f8ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 22 22:21:58 2016 +0000

    refactoring

commit df8ce7b52c1bde9bbb76f3999567d0e918d8453e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 18 23:34:28 2016 +0000

    disable Whonix News by default, since the UX is to bad to be useful
    
    can still be manually run using whonixcheck --function download_whonix_news
    
    https://forums.whonix.org/t/whonixcheck-whonix-14-ideas

commit 95624483864bca097f112aa4de002caf61c5f6e4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 18 23:28:11 2016 +0000

    skip Tor leak tests by default for hardening; implement --leak-tests
    
    https://forums.whonix.org/t/whonixcheck-whonix-14-ideas

commit 499d0bdc189fe00b5edee91e984f6303f0c39fd7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 18 23:17:57 2016 +0000

    exit 2 on warning so whonixcheck can be used as part of automated testing

commit dcca948cea7071e2431c7ad9eb7b598b37cd58f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 18 22:43:35 2016 +0000

    document --show-ip in man page

commit 9ede77fdda2df67dbfbf048c1123497d5d8d8a9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 18 22:41:58 2016 +0000

    output

commit f5d85feabc883225e3df1a20642d390614570ddf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 18 22:41:21 2016 +0000

    fix

commit abfeec092d2af0f7a4e521175b9c7b546846e92f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 18 22:39:53 2016 +0000

    document how to enable showing IP during Tor leak test

commit a4bde61e9622b8776fd7bcc47794d53e493fec4c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 18 22:34:35 2016 +0000

    show IP during Tor leak test only when using --show-ip
    
    to avoid users posting screenshots with their IPs

commit d5356b734ea7a3b41fd9524e177fc817901955ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 15 23:34:32 2016 +0000

    check permissions of /var/lib/tor folder

commit f77f415bc043ef07bbe4ed7aa91d6160292f7d8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 15 20:39:22 2016 +0000

    check if qubes-db is functional

commit be677f9964a7318b1034a1b2060ff83cd08f1f08
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 23:14:30 2016 +0000

    check for /var/run/anon-firewall/failed.status ; local

commit c9fa6b72cc72741eabd651af24ad871724d17267
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 22:55:50 2016 +0000

    output

commit b8a3cc9cadc3c3d45dddebf9b7c9e6d559691084
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 22:49:00 2016 +0000

    check if Whonix firewall systemd unit was successfully loaded
    
    check for failed systemd units when using --verbose
    
    https://phabricator.whonix.org/T488

commit f5e9de796e01d8c95c7230f1aa77e6baa390286d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 13 01:16:19 2016 +0200

    Wants=network.service

commit ccde7ef0d796d3aebb866cfee151361f9baa1f11
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 13 01:14:40 2016 +0200

    fix, Wants= -> After=

commit 0dea981efb7728e9618915fd2ec7d9e71b25f601
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 10 19:36:40 2016 +0000

    fix apparmor /etc/perl/sitecustomize.pl warning
    
    Thanks to massy1 for reporting this bug?
    
    http://forums.whonix.org/t/var-log-kern-log-contains-4-denied-messages-in-the-last-day

commit 270633c131dbf79ef2dc8078a0c734168a787fc6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 22 21:29:33 2016 +0000

    fix whonixcheckdaemon --gui --cli

commit 926c2a0667f99a4d90d536066dd6bdac946d41e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 14 19:42:36 2016 +0000

    fix apparmor protbuf denied message
    
    Thanks to ramongalaxy for the report!
    
    Thanks to entr0py for instructions for reproduction and suggestions to fix!
    
    https://forums.whonix.org/t/profile-usr-bin-whonixcheck-operation-open-denied-name-usr-local-lib-python2-7-dist-package-protobut-2-6-1-nspkg-pth

commit 983a0ede85fff4d43789362aa57118c523317bea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 27 16:36:22 2016 +0200

    fixed i386 specificness

commit 8ece92a62428896d7b071a05cfee729f24e85eb7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 15 22:00:05 2016 +0000

    also source /rw/config/whonix.d/*.conf for config snippets

commit bcbec6cf0fa31cb5b2cb17602615df4929be04ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 15 21:57:15 2016 +0000

    more modern / common config parser
    
    /etc/default/whonixcheckd.d/*.conf /rw/config/default/whonixcheckd.d/*.conf

commit 599b43e95085b8b741df8d0583ca1e2d554b50bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 8 22:52:48 2016 +0000

    --tlsv1.2
    
    https://phabricator.whonix.org/T489

commit 6b27e2b676cc78480731b9cc8b1bd0904192c948
Merge: 664c12e c51cc8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 8 21:57:22 2016 +0000

    Merge remote-tracking branch 'origin/master'

commit c51cc8e3e3bb3c92969c4f33e2b00c0ae00384b3
Merge: 664c12e 095686f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 8 21:56:46 2016 +0000

    Merge pull request #5 from HulaHoopWhonix/patch-2
    
    Added more banned packages

commit 095686fc57b81bb8a083bac4d638c13f69fd4d0e
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Jun 8 21:51:20 2016 +0000

    Added more banned packages

commit 664c12e313c76536bc2ecd8b69f51fce1e4bddf6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 2 15:01:18 2016 +0000

    fixed pvclock test
    
    https://forums.whonix.org/t/whonix-13-time-sync-issue

commit bf3cec43f9fa46218ac71993d994fc90f397a9bc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 14 15:09:44 2016 +0000

    bumped changelog version

commit 46dc5d30062b85ed090ab5d0280acaa1e681cf7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 14 13:40:47 2016 +0000

    fixed sudoers permissions for /sbin/ifconfig eth1
    
    required for check_network_interfaces

commit 3e9ce26aa1bc7d1d2db2d26333cde824a105f08f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 5 03:27:02 2016 +0000

    bumped changelog version

commit 02fc9940fcb1ea6942368a4fabfab04ef72fca5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 5 01:08:02 2016 +0000

    AppArmor profile: Allow running 'apt-get update' unconfined.
    
    So it can also initially create /var/cache/apt/archives/.

commit deeefe960ab93e3a0b62f8c6144db64e27f1b5a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 4 22:07:16 2016 +0000

    bumped changelog version

commit b8d6548cc72df9f89e5fb635d6a16ab0b635e9a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 4 19:01:01 2016 +0200

    Added '/run/resolvconf/resolv.conf r,' to AppArmor profile.
    
    Required for curl when resolvconf is installed.

commit 275f49ab4830228d747382f5bec1d489cbe22dbd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 4 18:59:31 2016 +0200

    output

commit f0be9a1d1e2c490ae6b2a9428af8244ee71fa97f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 28 03:59:51 2016 +0000

    bumped changelog version

commit a55997d4f07fa032541184d3c2688523c0bc3b08
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 28 02:33:35 2016 +0000

    check if the correct meta package is installed

commit 17045d1ff3f34dfc90476d9d96dc3097d73ab670
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 27 19:01:01 2016 +0000

    bumped changelog version

commit 877900240ce2f504d1892f078002954352aa576a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 26 16:10:06 2016 +0000

    Fixed qubes vm type check.
    
    Do not complain when running in qubes-vm-type DisposableVM.
    
    https://phabricator.whonix.org/T406

commit 31ed4be6a8b1dd410e419bb5d02a7fdc753c57ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 25 23:28:02 2016 +0000

    bumped changelog version

commit aaa26a47f2552b8c17f76f4195eda7332817516e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 22 03:31:31 2016 +0000

    fix, skip check_network_interfaces in Qubes TemplateVM
    
    Since it does not have eth1 and since TemplateVM will be non-networked in future.

commit ce5c326843f6eb5c21bfa6a50bf40a52815f0e90
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 21 18:23:12 2016 +0000

    comment

commit a24eba31de7b818f0726929c4536fe6945b05842
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 21 18:21:22 2016 +0000

    fix

commit 8826360324c94022e3022b6b8ebbb2049b8f479b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 21 18:18:56 2016 +0000

    run check_anondate test only on Whonix-Gateway

commit 7940765cb30a6609cff9df9c4d2a958644897dae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 21 17:30:00 2016 +0000

    torrc apparmor read access

commit b37eead0399bada2cc9f67b31a488db6614f1559
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 04:13:39 2016 +0000

    no longer mention timesync as it was replaced by sdwdate-gui

commit 53a411eef69aeb2e757d09859123c051dc153391
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 19 19:44:43 2016 +0000

    bumped changelog version

commit 700134e19135b6247c835c89b9e4040fea69579f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 18 19:31:46 2016 +0200

    extended Whonix news signing key

commit 9165ccde0d95b56546af6cba2dedad3769227b31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:53 2016 +0000

    bumped changelog version

commit 41eb9e1eba1b1e45c39ff20b3730bf184d6432fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 18:25:00 2016 +0000

    check for nonfree packages during
    
    https://phabricator.whonix.org/T461

commit e8d65d4a9b1bbcd6c017e5d2515046c34b921eb1
Merge: 142621d 599de94
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 00:59:39 2016 +0000

    Merge remote-tracking branch 'origin/master'

commit 599de94dc22fc65a4d73a3021fe62a1e192c6e01
Merge: 142621d 76158be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 00:59:13 2016 +0000

    Merge pull request #4 from HulaHoopWhonix/patch-1
    
    Ban bts and wnpp-check

commit 76158beb9bb36717a7f392539d6654d83e24853e
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Apr 7 00:25:37 2016 +0000

    Ban bts and wnpp-check
    
    These packages were specifically pointed out as causing privacy leaks. Debian maintainers say this is not a definitive list. Need to ask them what else.
    
    https://lwn.net/Articles/672350/
    https://wiki.debian.org/TorifyDebianServices

commit 142621dc7ecec233a99d674e5d9a0e342b176660
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 31 22:00:53 2016 +0000

    test if network interfaces are up
    
    https://phabricator.whonix.org/T490

commit dd81a2841948e63e1a30d03038ab458699c2ed31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 31 21:19:42 2016 +0000

    download Whonix News using --tlsv1

commit 774af24282a2bf18697a4dfabb82f6e7c83ff365
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 31 21:10:38 2016 +0000

    comment

commit 04e714c1014d55c25a9e4e53bba8125d5e794e8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 29 23:23:02 2016 +0000

    cleanup, removed no longer used function check_torbrowser

commit 062ff87fb318d6cabe6662fe19db7ab91cdb608e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 29 23:20:43 2016 +0000

    made --proxy argument to curl configurable
    
    through environment variables
    
    - CURL_PROXY_WHONIXCHECK
    - CURL_PROXY_WHONIX_NEWS

commit 2c3b98cec95cd3e24c01ff1eb48d966d2aefa041
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 29 23:14:03 2016 +0000

    comment

commit 0ee4ac7cd603977634ae09adc9766ee86a94ac2f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 29 23:12:53 2016 +0000

    only show build version if it is outdated or when running with --verbose
    
    showing the current build version has lead to too much confusion
    
    https://www.whonix.org/wiki/Whonixcheck#Whonix_Build_Version

commit 483ee4785d0d8ff916055f88818426af66cd48dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 22 10:36:40 2016 +0000

    output

commit 1603651d03f752c22ceba1c2860efffd083d69a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 22 10:27:34 2016 +0000

    fix

commit e49e3157b2a2aa17c293b441a405034eb43dcfab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 22 10:15:15 2016 +0000

            @{PROC}/[0-9]*/task/** r,

commit 971260573446e73d288424df06a39e076d590724
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 22 10:06:59 2016 +0000

    /usr/bin/pstree rix,

commit ad84a55667e84c9c5bbc0626b2b2a4619c4ae97e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 22 09:55:19 2016 +0000

    comment

commit 04c2ac6a53873b925dd1a736821c879af445ed46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 22 09:54:04 2016 +0000

    work on 'whonixcheck should test for slow / fast clock'
    
    https://phabricator.whonix.org/T482

commit 61be795d764487352e5acbc2544ae903a8bb0d7d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 22 09:47:19 2016 +0000

    refactoring

commit 80b98c617ee8f4e44ab1db27b1b6b092957fc0ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 22 09:46:01 2016 +0000

    output

commit ec227cd50d3d663dfe2451b166310c4b8c91d701
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 22 09:44:46 2016 +0000

    local

commit 66d666aef612009a0d64e5694ab9967ccb821d6c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 22 09:31:54 2016 +0000

    output

commit c93a264d47e67eeace9fc657ff6e52ef492ac5ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 22 09:23:18 2016 +0000

            /dev/kmsg r,

commit 1411d7c3d2b3cb55c501c30c102321ef419e97d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 22 09:17:57 2016 +0000

    work on 'whonixcheck should test for slow / fast clock'
    
    https://phabricator.whonix.org/T482

commit 1049109a01bcf997a193265abb22e122b324463e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 21 14:09:52 2016 +0000

    run check_kernel_messages test
    
    https://phabricator.whonix.org/T480

commit acf19620fc68f0b6c7b29cab9669a6cb5e7e9877
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 21 14:04:49 2016 +0000

    look out for timekeeping watchdog kernel messages
    
    Kernel messages wrt timekeeping can indicate issues which generate lots of
    confusion, inconvenience and even time related fingerprinting issues. See
    https://github.com/QubesOS/qubes-issues/issues/1779 (new information to be
    added there soon). Which took a while to debug.
    
    https://phabricator.whonix.org/T480

commit 9795c5c5bf59e5eee20d05f6b0cfed1058816afe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 21 13:54:49 2016 +0100

    Whonix News Download: download from whonix.org rather than mirror.whonix.de
    
    https://phabricator.whonix.org/T475

commit ef6f98d4a3d9e17200cbcf3b73bc2fd50066d77d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 14 22:53:28 2016 +0000

    cover cases when systemd-detect-virt outputs 'none'

commit 51b9e014453b3001ada51b6dcbcdcec739b7c3d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 13 17:15:39 2016 +0000

    Fixed message if unwanted packages are found.
    
    Thanks to @rAntOCauDgb for the report.
    
    Fixes https://github.com/Whonix/whonixcheck/pull/3

commit 88a81ea56cc33f0d97f8caa74a68e53e983faba7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 28 11:18:31 2016 +0100

    tor -> tor@default

commit 155071aee36895a30d65f05a2fea54667e18cfb7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 20 17:48:07 2016 +0000

    merged apparmor-profile-whonixcheck

commit e9409d635aea043e47a05abfb8d2ee646ea58c52
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 19 20:43:58 2016 +0100

    bootstrap failure message: removed "after X seconds" message

commit 88ce7981e57b564aef421aebdbd3e7174c7517c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 21 23:02:00 2015 +0100

    skip kvmclock check on Whonix-Gateway
    
    https://phabricator.whonix.org/T385#7651

commit e0d549265419a4e98132f6ac4fd678148e87a06c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 17 18:38:34 2015 +0100

    comment

commit dd228f9c1989c506c61147c0793555aae4988b59
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 13 02:07:17 2015 +0000

    code simplification, source only files matching /usr/lib/whonixcheck/*.bsh

commit 23dc10249e29d59ac741847cf3a7385dbaff9be6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 13 02:04:58 2015 +0000

    renamed all files in usr/lib/whonixcheck to end with '.bsh'

commit f8292d62efc419acef4cd677363191edeea29014
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 12 04:19:37 2015 +0000

    check if Qubes-Whonix-Workstation is running in the right type of VM
    
    AppVM or TemplateVM

commit 2bea94ed309ecc870f72403b08138a89f7bfaf4f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 12 04:08:13 2015 +0000

    comments

commit a5407b75a575af4aaf9a46ce396e8b48a505af19
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 12 03:59:33 2015 +0000

    improved Qubes settings checks; show a warning if NetVM is set to none

commit f9f4f87ff5bd5ad798d82a4b0c4458694ae5bd0d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 12 02:16:01 2015 +0000

    no longer show graphical output when run from cli; implemented --gui and --cli

commit 87788c81c75f2615af53f4aecb706c445675456d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 11 01:41:51 2015 +0000

    output

commit 484a7f0e318abf346dfff825434d5ec2011dc889
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 11 01:39:58 2015 +0000

    code simplification, use settings_echo to get GATEWAY_IP

commit a9667e3558bde418552ed85ca2777e4da8b9868c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 11 01:29:40 2015 +0000

    Improved Whonix News output.
    
    Improved output in case package whonix-workstation-packages-dependencies or in
    case Whonix build version file does not exist.
    
    Thanks to Vogel123 for the report!
    
    http://forums.whonix.org/t/source-list-error

commit d3394bf315d44043a3c244ebd252aa9ad2a968de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 21:43:08 2015 +0000

    fixed config file parser if config folder does not exist

commit c6649dce555cba6b895de51f4cdfdd7e339d22f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 21:10:05 2015 +0000

    Revert "no need to reintroduce /etc/whonix.d/30_whonixcheck_default.conf"
    
    This reverts commit 23a5a6991055bf8e1e4bf469c9280e3f0f84b635.

commit 23a5a6991055bf8e1e4bf469c9280e3f0f84b635
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 21:08:42 2015 +0000

    no need to reintroduce /etc/whonix.d/30_whonixcheck_default.conf

commit 750bf9ff387b4e3d3c1997aa1d75230ee6084fbe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 21:28:32 2015 +0000

    Only source configuration files that end with the '.conf' extension.
    
    Thanks to @nrgaway for the suggestion!
    
    https://phabricator.whonix.org/T286

commit a52b900bdffe36e9e9dad39d2ac676bef933c100
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 20:00:13 2015 +0000

    local

commit afe9aad6aa25e7577442478ce8f1117b76f86bfe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 19:46:21 2015 +0000

    Only source configuration files that end with the '.conf' extension.
    
    Thanks to @nrgaway for the suggestion!
    
    https://phabricator.whonix.org/T286

commit cb5f82e20b60b0c70ae73a5e36d53811f17573e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 25 18:53:40 2015 +0000

    whonixcheck pvclock test fixes
    - no longer exit whonixcheck if unsupported pv clock was detected
    - make unsupported pv clock detection only a warning as opposed to an error
    - improved unsupported pv clock detection output
    - deprecated config option WHONIXCHECK_NO_EXIT_ON_PVCLOCK_DETECTION (can be replaced by adding the function to the skipped ones)
    - Only report unsupported pv clock for KVM, since this is not yet implemented for other platforms.
      - Qubes: https://phabricator.whonix.org/T389
      - VirtualBox: https://phabricator.whonix.org/T437
    
    Thanks to Corrupt Correct Pig for reporting this!
    https://forums.whonix.org/t/recurring-time-error-within-gateway-11-under-virtualbox-5-error-unwanted-pvclock-kvm-clock-tsc-acpi-pm-detected/1671

commit 9359ebc5a1a010a33370682a78392e37e6de2912
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 13 15:53:37 2015 +0000

    bumped changelog version

commit 26713b4737cb7d9fe87ffe39f741ebada7f352e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 8 19:17:51 2015 +0000

    fixed output with advice in Qubes when incorrect timezone is being set

commit 80b9a9c19f8c325822621d574905a50b27616838
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 8 20:13:03 2015 +0100

    output

commit db5dfd7e0b9a7376e6b2577c695d31f80ab2cc57
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 19:15:28 2015 +0000

    output

commit 70520808ca175002abbebce53dd8de49dc0f7309
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 19:13:18 2015 +0000

    less verbosity

commit dcefa881bece41fa169cdadd09b8a5d520806e83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 12:32:09 2015 +0000

    bumped changelog version

commit 54dd2f769fd9ee1ee300ec87de340c258ec1f78a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 12:31:41 2015 +0000

    disabled debugging

commit c1615cbb5c33f788a7bdd1209f6c2875d0e41b6e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 12:01:45 2015 +0000

    bumped changelog version

commit 1ea2af786e2a19c829a46cffa82abb16211ecf80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 11:43:17 2015 +0000

    output

commit 2b09b2a445b5d1001a7064d3032140b895ecb3d6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 11:15:18 2015 +0000

    - use bsdtar rather than tar, because it can auto detect archive type
    - allow manually setting variable SOCKS_PORT_WHONIX_NEWS, so testing this gets simpler outside of Whonix
    - refactoring

commit 8b69f227f99adff8fed275f251a770f2e2aa537e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 09:54:29 2015 +0000

    minor

commit a56ef695cf640464d9f9b03ad3c668131f68c5ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 09:52:18 2015 +0000

    refactoring

commit c7a0a37e1bab4154d9bb87b3cb6b845b4969dd7d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 09:50:07 2015 +0000

    minor

commit ca5164b5e2a64f6f4a34f2b8f638f3a3effd8f6d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 09:49:06 2015 +0000

    minor

commit defddbde43ce756193cd329f25207cd9829c4730
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 09:35:21 2015 +0000

    output

commit c9a7a8dc2e19fa8affd57d022cf1efd841af9502
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 09:31:36 2015 +0000

    fixed unwanted packages check

commit b91b464b601619a245a4dd2b89780bcebd435a0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 20:38:56 2015 +0000

    removed date from title_x

commit e127e6e76f80e8c6f697673daab5663cb5f1cc1d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 22 23:12:41 2015 +0000

    bumped changelog version

commit 46766fabfa480e09057a84a0a61226c713c68cc7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 19 17:38:54 2015 +0000

    no longer showing aborted message in gui

commit 20373846840b10a59502f53c53a48c3f6769dfcb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 19 16:59:04 2015 +0000

    Qubes Tor bootstrap passive popup text: [Connecting|Connected] to Tor[.|...]
    
     [sys-whonix]
     Connecting to Tor...
    
     [sys-whonix]
     Connected to Tor.

commit 49869998f5f537125159fcbc66790d803550bf00
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 12 11:30:38 2015 +0000

    fixed Qubes settings test in whonix-gw TemplateVM

commit dca3ee26bdbef238ee65fe1be18f8433f006578a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 18:45:43 2015 +0000

    passive popup "Tor Bootstrap Result: Connected to Tor." -> "Connected to Tor."

commit 600478aeb8f4b0be8077cd6dfe47d63d9dc3e1f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 18:03:01 2015 +0000

    no more progress bars, only two passive popups on autostart

commit 38d4843a13ccd949c7c0df7ef8147d240ee1d4dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 14:43:09 2015 +0000

    comment

commit 969dc2d14ef2757d7ade05c8d4fab5fc06556516
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 30 15:06:59 2015 +0000

    no longer show how many packages can be updated since it is not interesting for the user

commit 7e9e76840082ca64f9e68a873a15a13c97f05547
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 14:37:20 2015 +0000

    fix

commit 38cb4a32e740b77f5e9c5d81d19609b03660bb3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 13:48:01 2015 +0000

    improved output for Qubes starter first part ('Domain:' vs 'ServiceVM:' vs 'Template:')

commit 5489a578926015303cda20772d5849e362125f8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 13:17:10 2015 +0000

    comment

commit 9bd4ff36e6b5a107c2141fb60e2e4e43bb0b1fd6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 13:15:42 2015 +0000

    refactoring

commit 4da66159fbb8a85a6c63586c069ecb486ee96369
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 13:13:08 2015 +0000

    refactoring

commit a3e08477262f444fa076b4df05cb21fdaad1fc30
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 13:10:36 2015 +0000

    fix

commit c25f6e093b718ff201105b7925058a7f5e09dc8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 13:05:48 2015 +0000

    code simplification

commit ccd7b888ec3e84f157dbfb8662c8c253004fcd7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 13:01:56 2015 +0000

    refactoring

commit 599c32c0a6d7f68d831b4badcc5effa6eccb7f96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 12:59:48 2015 +0000

    code simplification

commit b3f484d98552ef955fb3fccb2bc3b6c70ff511e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 12:54:01 2015 +0000

    comment

commit 4fb2ff9d4c62a1a80ba9326bebd0c3aff37fc885
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 12:53:20 2015 +0000

    code simplification

commit fb1858dfc63deba6086d26488db2be2ad7800a8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 12:46:50 2015 +0000

    fix

commit 420746477638fb7e3d5558d39e3c677997fdd08e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 12:44:02 2015 +0000

    output

commit f0dbbbac433dfd7340b8ac6accf806ec4dd3f44b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 12:42:17 2015 +0000

    exit immediate when started in daemon mode on Qubes-Whonix-Gateway to avoid intrusive popups

commit 9949235e969a55e33f3098996a7440b6aabf0ffd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 20:05:54 2015 +0000

    - check if Qubes-Whonix-Gateway is running in the right type of VM (ProxyVM)
    - report if Whonix-Workstation or TemplateVM is connected to netvm 'none'

commit 5c7cd6c6ea99ad539a70ed428a4e0d94b8445ec6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 19:59:29 2015 +0000

    check_systemd_clock: compatibility with newer systemd - https://github.com/systemd/systemd/commit/2fc4f5bd924b9732afc70f8a6da80573f833fc9d

commit 7f898a2594f93e07880ac215d72f3b7116132b8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 17:29:29 2015 +0000

    improved Qubes update proxy test

commit a1d038ed5e8fa917090361dc920cd7b25435ca42
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 16:52:50 2015 +0000

    error handling in case 'qubesdb-read /qubes-gateway' fails (could be the case if netvm is set to 'none')

commit 0b62cc2b2d433d617a2b54020c71bc9f779ce88a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 11:26:47 2015 +0000

    comment

commit 7c298032d66890427b66dbcd37bbd371cb3a1898
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 11:22:17 2015 +0000

    added instructions on how to open torrc in case Tor is disabled using 'DisableNetwork 0'; improved Qubes specific start menu instructions

commit 4d25b9874b6c7d6cb080bd901bc0ee4a49951855
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 11:16:41 2015 +0000

    output

commit 6b268987ae753249ed97d0d6ef9b6f2968112b0d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 21 17:57:01 2015 +0000

    improved Whonix apt repository Qubes specific instructions; refactoring

commit 8a9197c4bc8b5e5f7befcc813894461c40dd8275
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 21 14:44:52 2015 +0000

    comment

commit 233ee5f290e21bdf70d303b772eb7f19f8f574eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 21 14:43:08 2015 +0000

    fix

commit c3985c3529aa2f13f737d3dc26d368494956ab61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 22:47:42 2015 +0000

    no longer require Qubes ip replacement script to modify the file

commit 548d0aef59baa3b9136a5b34ec64ddd1bf49f02c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 22:42:57 2015 +0000

    refactoring

commit fc3e0ae19094d5cba4bdedae2b49e26a7465d3aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 22:40:42 2015 +0000

    support running in Qubes-Whonix-Gateway TemplateVM

commit 029bdb84a33f27dcc94de1827834888c88344eeb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 16:09:33 2015 +0000

    fixed order of functions

commit 0ad0d9b442140283b9776f9696bb7e0b8d8ae706
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 15:20:50 2015 +0000

    refactoring

commit 2304c10995edcb8bc8b820c0021f8df91221474a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 15:19:42 2015 +0000

    better output in case waiting for cpfpy

commit e761b428ed7ae729c825254bff7e24b47c9504a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 15:08:04 2015 +0000

    output

commit 2b2ad356b372aadb4912b076887d6fbb063b6251
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 15:07:36 2015 +0000

    refactoring

commit 12af5a56be6b754330755cf314018a181e750195
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 15:06:01 2015 +0000

    output

commit 8b204d232f0c4ef50003001a3e1f69d88fa1e354
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 15:04:51 2015 +0000

    output

commit c6561ff8c69576f50a08cf6f7a6d22b811528bf4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 14:59:35 2015 +0000

    cleanup

commit 94bf09ca4c5cce3da9dafdaa423f2e8d51cd0b88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 14:58:43 2015 +0000

    fix

commit 2f09e6ff0a291e826ad7c32dd60b94e1fff83944
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 14:51:55 2015 +0000

    comments

commit 1e356dad48775339a8eb302b7392cfbc97d65991
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 14:48:59 2015 +0000

    comment

commit 163f27242479b2b1f62fe04280eb2df040ccfb45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 14:47:17 2015 +0000

    comment

commit d76912623e8aac9289caa4d748206e7fe2f98ad6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 14:45:01 2015 +0000

    comment

commit 979442cf180033a8ef2a98e7f0005540ea146684
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 9 17:14:36 2015 +0000

    minor

commit f0165de9747902a1c72791be041877bdd67b0a1f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 6 22:24:16 2015 +0000

    fix

commit 30ed7ab5d2e009d1be9e5ae71b6d9914d68ee93c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 6 21:46:30 2015 +0000

    improved CLI title in Qubes

commit 89a35396955edda1db7c212cc9a5b33d4ca45b48
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 4 12:31:56 2015 +0000

    always skip disclaimer when running inside Qubes

commit a82643540549d7909cf4c235a9be3356e9684069
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 4 12:19:26 2015 +0000

    fixed --function with no extra argument help output

commit 442e94257bd3e3a07bb0f9f9d6ecbd1e8b5e5856
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 3 23:22:49 2015 +0000

    refactoring, ported from old 'qubesdb-read /qubes-vm-updateable' to new (https://github.com/QubesOS/qubes-issues/issues/1101) more readable 'qubesdb-read /qubes-vm-persistence'

commit 1d1ebc4ed98982d2dcfe396153c12a429b62887a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 3 22:50:17 2015 +0000

    improved output in Qubes by using 'qubesdb-read /qubes-base-template'

commit 58b3f91fa1209d45698ddd72d350ed01de2e84d8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 31 16:14:29 2015 +0000

    in Qubes-Whonix, when using --verbose, check if Qubes update proxy is reachable

commit cb7e3ec8ccd9ff77ca017449c980eaf453fa9961
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 28 15:28:24 2015 +0000

    compatibility with newer msgcollector

commit c587ecc6f15c84950f2560a220706e9c74ac3f8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 23:32:00 2015 +0000

    bumped changelog version

commit 5e34abf703016092b6db73d1940b2e896a8b71c9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 02:45:14 2015 +0000

    use --debug instead of bash -x

commit 4e720ee3ff7b8d53f0c80a0cb4be7756288ddcc6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 02:34:28 2015 +0000

    silent -ge 3: skip test if a package manager is already running.

commit 539e8451909013243c13183b0e1402f75e0aad82
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 02:28:34 2015 +0000

    fix

commit 80da8b3144043b70863bb21ef2c8068c8ab5d1a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:08:30 2015 +0000

    bumped changelog version

commit aeaf8b1fb81e9e36ceabffa641eae7fec1090a53
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 17:47:27 2015 +0000

    bumped changelog version

commit 34ac6001d1377ebad7ed44cb5800855685d5f815
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 21 16:27:57 2015 +0000

    comment

commit 866e7216d1777594e0e1a7c92a1211a257157d99
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 21 16:26:27 2015 +0000

    refactoring

commit 831cdb5b699a884e506f89ca61c8eb1ae53fcb58
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 21 16:22:40 2015 +0000

    refactoring

commit d34425d1fea09f9298ca05f7fc54583b0acb75fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 21 16:17:52 2015 +0000

    fix

commit 0f1516284b9637ebf5dae9e2409a784846ab5d12
